
/* Generated data (by glib-mkenums) */

#include "mbim-enum-types.h"

/* enumerations from "../../../src/libmbim-glib/mbim-uuid.h" */
static const GEnumValue mbim_service_values[] = {
    { MBIM_SERVICE_INVALID, "MBIM_SERVICE_INVALID", "invalid" },
    { MBIM_SERVICE_BASIC_CONNECT, "MBIM_SERVICE_BASIC_CONNECT", "basic-connect" },
    { MBIM_SERVICE_SMS, "MBIM_SERVICE_SMS", "sms" },
    { MBIM_SERVICE_USSD, "MBIM_SERVICE_USSD", "ussd" },
    { MBIM_SERVICE_PHONEBOOK, "MBIM_SERVICE_PHONEBOOK", "phonebook" },
    { MBIM_SERVICE_STK, "MBIM_SERVICE_STK", "stk" },
    { MBIM_SERVICE_AUTH, "MBIM_SERVICE_AUTH", "auth" },
    { MBIM_SERVICE_DSS, "MBIM_SERVICE_DSS", "dss" },
    { MBIM_SERVICE_MS_FIRMWARE_ID, "MBIM_SERVICE_MS_FIRMWARE_ID", "ms-firmware-id" },
    { MBIM_SERVICE_MS_HOST_SHUTDOWN, "MBIM_SERVICE_MS_HOST_SHUTDOWN", "ms-host-shutdown" },
    { MBIM_SERVICE_PROXY_CONTROL, "MBIM_SERVICE_PROXY_CONTROL", "proxy-control" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_service_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimService"),
                                      mbim_service_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SERVICE_IS_ENUM__
/**
 * mbim_service_get_string:
 * @val: a MbimService.
 *
 * Gets the nickname string for the #MbimService specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_service_get_string (MbimService val)
{
    guint i;

    for (i = 0; mbim_service_values[i].value_nick; i++) {
        if (val == mbim_service_values[i].value)
            return mbim_service_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SERVICE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SERVICE_IS_FLAGS__
/**
 * mbim_service_build_string_from_mask:
 * @mask: bitmask of MbimService values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimService in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_service_build_string_from_mask (MbimService mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_service_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_service_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_service_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_service_values[i].value) {
            guint c;
            gulong number = mbim_service_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_service_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SERVICE_IS_FLAGS__ */

static const GEnumValue mbim_context_type_values[] = {
    { MBIM_CONTEXT_TYPE_INVALID, "MBIM_CONTEXT_TYPE_INVALID", "invalid" },
    { MBIM_CONTEXT_TYPE_NONE, "MBIM_CONTEXT_TYPE_NONE", "none" },
    { MBIM_CONTEXT_TYPE_INTERNET, "MBIM_CONTEXT_TYPE_INTERNET", "internet" },
    { MBIM_CONTEXT_TYPE_VPN, "MBIM_CONTEXT_TYPE_VPN", "vpn" },
    { MBIM_CONTEXT_TYPE_VOICE, "MBIM_CONTEXT_TYPE_VOICE", "voice" },
    { MBIM_CONTEXT_TYPE_VIDEO_SHARE, "MBIM_CONTEXT_TYPE_VIDEO_SHARE", "video-share" },
    { MBIM_CONTEXT_TYPE_PURCHASE, "MBIM_CONTEXT_TYPE_PURCHASE", "purchase" },
    { MBIM_CONTEXT_TYPE_IMS, "MBIM_CONTEXT_TYPE_IMS", "ims" },
    { MBIM_CONTEXT_TYPE_MMS, "MBIM_CONTEXT_TYPE_MMS", "mms" },
    { MBIM_CONTEXT_TYPE_LOCAL, "MBIM_CONTEXT_TYPE_LOCAL", "local" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_context_type_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimContextType"),
                                      mbim_context_type_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CONTEXT_TYPE_IS_ENUM__
/**
 * mbim_context_type_get_string:
 * @val: a MbimContextType.
 *
 * Gets the nickname string for the #MbimContextType specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_context_type_get_string (MbimContextType val)
{
    guint i;

    for (i = 0; mbim_context_type_values[i].value_nick; i++) {
        if (val == mbim_context_type_values[i].value)
            return mbim_context_type_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CONTEXT_TYPE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CONTEXT_TYPE_IS_FLAGS__
/**
 * mbim_context_type_build_string_from_mask:
 * @mask: bitmask of MbimContextType values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimContextType in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_context_type_build_string_from_mask (MbimContextType mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_context_type_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_context_type_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_context_type_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_context_type_values[i].value) {
            guint c;
            gulong number = mbim_context_type_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_context_type_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CONTEXT_TYPE_IS_FLAGS__ */

/* enumerations from "../../../src/libmbim-glib/mbim-cid.h" */
static const GEnumValue mbim_cid_basic_connect_values[] = {
    { MBIM_CID_BASIC_CONNECT_UNKNOWN, "MBIM_CID_BASIC_CONNECT_UNKNOWN", "unknown" },
    { MBIM_CID_BASIC_CONNECT_DEVICE_CAPS, "MBIM_CID_BASIC_CONNECT_DEVICE_CAPS", "device-caps" },
    { MBIM_CID_BASIC_CONNECT_SUBSCRIBER_READY_STATUS, "MBIM_CID_BASIC_CONNECT_SUBSCRIBER_READY_STATUS", "subscriber-ready-status" },
    { MBIM_CID_BASIC_CONNECT_RADIO_STATE, "MBIM_CID_BASIC_CONNECT_RADIO_STATE", "radio-state" },
    { MBIM_CID_BASIC_CONNECT_PIN, "MBIM_CID_BASIC_CONNECT_PIN", "pin" },
    { MBIM_CID_BASIC_CONNECT_PIN_LIST, "MBIM_CID_BASIC_CONNECT_PIN_LIST", "pin-list" },
    { MBIM_CID_BASIC_CONNECT_HOME_PROVIDER, "MBIM_CID_BASIC_CONNECT_HOME_PROVIDER", "home-provider" },
    { MBIM_CID_BASIC_CONNECT_PREFERRED_PROVIDERS, "MBIM_CID_BASIC_CONNECT_PREFERRED_PROVIDERS", "preferred-providers" },
    { MBIM_CID_BASIC_CONNECT_VISIBLE_PROVIDERS, "MBIM_CID_BASIC_CONNECT_VISIBLE_PROVIDERS", "visible-providers" },
    { MBIM_CID_BASIC_CONNECT_REGISTER_STATE, "MBIM_CID_BASIC_CONNECT_REGISTER_STATE", "register-state" },
    { MBIM_CID_BASIC_CONNECT_PACKET_SERVICE, "MBIM_CID_BASIC_CONNECT_PACKET_SERVICE", "packet-service" },
    { MBIM_CID_BASIC_CONNECT_SIGNAL_STATE, "MBIM_CID_BASIC_CONNECT_SIGNAL_STATE", "signal-state" },
    { MBIM_CID_BASIC_CONNECT_CONNECT, "MBIM_CID_BASIC_CONNECT_CONNECT", "connect" },
    { MBIM_CID_BASIC_CONNECT_PROVISIONED_CONTEXTS, "MBIM_CID_BASIC_CONNECT_PROVISIONED_CONTEXTS", "provisioned-contexts" },
    { MBIM_CID_BASIC_CONNECT_SERVICE_ACTIVATION, "MBIM_CID_BASIC_CONNECT_SERVICE_ACTIVATION", "service-activation" },
    { MBIM_CID_BASIC_CONNECT_IP_CONFIGURATION, "MBIM_CID_BASIC_CONNECT_IP_CONFIGURATION", "ip-configuration" },
    { MBIM_CID_BASIC_CONNECT_DEVICE_SERVICES, "MBIM_CID_BASIC_CONNECT_DEVICE_SERVICES", "device-services" },
    { MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBE_LIST, "MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBE_LIST", "device-service-subscribe-list" },
    { MBIM_CID_BASIC_CONNECT_PACKET_STATISTICS, "MBIM_CID_BASIC_CONNECT_PACKET_STATISTICS", "packet-statistics" },
    { MBIM_CID_BASIC_CONNECT_NETWORK_IDLE_HINT, "MBIM_CID_BASIC_CONNECT_NETWORK_IDLE_HINT", "network-idle-hint" },
    { MBIM_CID_BASIC_CONNECT_EMERGENCY_MODE, "MBIM_CID_BASIC_CONNECT_EMERGENCY_MODE", "emergency-mode" },
    { MBIM_CID_BASIC_CONNECT_IP_PACKET_FILTERS, "MBIM_CID_BASIC_CONNECT_IP_PACKET_FILTERS", "ip-packet-filters" },
    { MBIM_CID_BASIC_CONNECT_MULTICARRIER_PROVIDERS, "MBIM_CID_BASIC_CONNECT_MULTICARRIER_PROVIDERS", "multicarrier-providers" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_basic_connect_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidBasicConnect"),
                                      mbim_cid_basic_connect_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_BASIC_CONNECT_IS_ENUM__
/**
 * mbim_cid_basic_connect_get_string:
 * @val: a MbimCidBasicConnect.
 *
 * Gets the nickname string for the #MbimCidBasicConnect specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_basic_connect_get_string (MbimCidBasicConnect val)
{
    guint i;

    for (i = 0; mbim_cid_basic_connect_values[i].value_nick; i++) {
        if (val == mbim_cid_basic_connect_values[i].value)
            return mbim_cid_basic_connect_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_BASIC_CONNECT_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_BASIC_CONNECT_IS_FLAGS__
/**
 * mbim_cid_basic_connect_build_string_from_mask:
 * @mask: bitmask of MbimCidBasicConnect values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidBasicConnect in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_basic_connect_build_string_from_mask (MbimCidBasicConnect mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_basic_connect_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_basic_connect_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_basic_connect_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_basic_connect_values[i].value) {
            guint c;
            gulong number = mbim_cid_basic_connect_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_basic_connect_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_BASIC_CONNECT_IS_FLAGS__ */

static const GEnumValue mbim_cid_sms_values[] = {
    { MBIM_CID_SMS_UNKNOWN, "MBIM_CID_SMS_UNKNOWN", "unknown" },
    { MBIM_CID_SMS_CONFIGURATION, "MBIM_CID_SMS_CONFIGURATION", "configuration" },
    { MBIM_CID_SMS_READ, "MBIM_CID_SMS_READ", "read" },
    { MBIM_CID_SMS_SEND, "MBIM_CID_SMS_SEND", "send" },
    { MBIM_CID_SMS_DELETE, "MBIM_CID_SMS_DELETE", "delete" },
    { MBIM_CID_SMS_MESSAGE_STORE_STATUS, "MBIM_CID_SMS_MESSAGE_STORE_STATUS", "message-store-status" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_sms_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidSms"),
                                      mbim_cid_sms_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_SMS_IS_ENUM__
/**
 * mbim_cid_sms_get_string:
 * @val: a MbimCidSms.
 *
 * Gets the nickname string for the #MbimCidSms specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_sms_get_string (MbimCidSms val)
{
    guint i;

    for (i = 0; mbim_cid_sms_values[i].value_nick; i++) {
        if (val == mbim_cid_sms_values[i].value)
            return mbim_cid_sms_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_SMS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_SMS_IS_FLAGS__
/**
 * mbim_cid_sms_build_string_from_mask:
 * @mask: bitmask of MbimCidSms values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidSms in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_sms_build_string_from_mask (MbimCidSms mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_sms_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_sms_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_sms_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_sms_values[i].value) {
            guint c;
            gulong number = mbim_cid_sms_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_sms_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_SMS_IS_FLAGS__ */

static const GEnumValue mbim_cid_ussd_values[] = {
    { MBIM_CID_USSD_UNKNOWN, "MBIM_CID_USSD_UNKNOWN", "ussd-unknown" },
    { MBIM_CID_USSD, "MBIM_CID_USSD", "ussd" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_ussd_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidUssd"),
                                      mbim_cid_ussd_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_USSD_IS_ENUM__
/**
 * mbim_cid_ussd_get_string:
 * @val: a MbimCidUssd.
 *
 * Gets the nickname string for the #MbimCidUssd specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_ussd_get_string (MbimCidUssd val)
{
    guint i;

    for (i = 0; mbim_cid_ussd_values[i].value_nick; i++) {
        if (val == mbim_cid_ussd_values[i].value)
            return mbim_cid_ussd_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_USSD_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_USSD_IS_FLAGS__
/**
 * mbim_cid_ussd_build_string_from_mask:
 * @mask: bitmask of MbimCidUssd values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidUssd in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_ussd_build_string_from_mask (MbimCidUssd mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_ussd_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_ussd_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_ussd_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_ussd_values[i].value) {
            guint c;
            gulong number = mbim_cid_ussd_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_ussd_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_USSD_IS_FLAGS__ */

static const GEnumValue mbim_cid_phonebook_values[] = {
    { MBIM_CID_PHONEBOOK_UNKNOWN, "MBIM_CID_PHONEBOOK_UNKNOWN", "unknown" },
    { MBIM_CID_PHONEBOOK_CONFIGURATION, "MBIM_CID_PHONEBOOK_CONFIGURATION", "configuration" },
    { MBIM_CID_PHONEBOOK_READ, "MBIM_CID_PHONEBOOK_READ", "read" },
    { MBIM_CID_PHONEBOOK_DELETE, "MBIM_CID_PHONEBOOK_DELETE", "delete" },
    { MBIM_CID_PHONEBOOK_WRITE, "MBIM_CID_PHONEBOOK_WRITE", "write" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_phonebook_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidPhonebook"),
                                      mbim_cid_phonebook_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_PHONEBOOK_IS_ENUM__
/**
 * mbim_cid_phonebook_get_string:
 * @val: a MbimCidPhonebook.
 *
 * Gets the nickname string for the #MbimCidPhonebook specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_phonebook_get_string (MbimCidPhonebook val)
{
    guint i;

    for (i = 0; mbim_cid_phonebook_values[i].value_nick; i++) {
        if (val == mbim_cid_phonebook_values[i].value)
            return mbim_cid_phonebook_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_PHONEBOOK_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_PHONEBOOK_IS_FLAGS__
/**
 * mbim_cid_phonebook_build_string_from_mask:
 * @mask: bitmask of MbimCidPhonebook values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidPhonebook in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_phonebook_build_string_from_mask (MbimCidPhonebook mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_phonebook_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_phonebook_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_phonebook_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_phonebook_values[i].value) {
            guint c;
            gulong number = mbim_cid_phonebook_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_phonebook_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_PHONEBOOK_IS_FLAGS__ */

static const GEnumValue mbim_cid_stk_values[] = {
    { MBIM_CID_STK_UNKNOWN, "MBIM_CID_STK_UNKNOWN", "unknown" },
    { MBIM_CID_STK_PAC, "MBIM_CID_STK_PAC", "pac" },
    { MBIM_CID_STK_TERMINAL_RESPONSE, "MBIM_CID_STK_TERMINAL_RESPONSE", "terminal-response" },
    { MBIM_CID_STK_ENVELOPE, "MBIM_CID_STK_ENVELOPE", "envelope" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_stk_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidStk"),
                                      mbim_cid_stk_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_STK_IS_ENUM__
/**
 * mbim_cid_stk_get_string:
 * @val: a MbimCidStk.
 *
 * Gets the nickname string for the #MbimCidStk specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_stk_get_string (MbimCidStk val)
{
    guint i;

    for (i = 0; mbim_cid_stk_values[i].value_nick; i++) {
        if (val == mbim_cid_stk_values[i].value)
            return mbim_cid_stk_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_STK_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_STK_IS_FLAGS__
/**
 * mbim_cid_stk_build_string_from_mask:
 * @mask: bitmask of MbimCidStk values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidStk in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_stk_build_string_from_mask (MbimCidStk mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_stk_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_stk_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_stk_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_stk_values[i].value) {
            guint c;
            gulong number = mbim_cid_stk_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_stk_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_STK_IS_FLAGS__ */

static const GEnumValue mbim_cid_auth_values[] = {
    { MBIM_CID_AUTH_UNKNOWN, "MBIM_CID_AUTH_UNKNOWN", "unknown" },
    { MBIM_CID_AUTH_AKA, "MBIM_CID_AUTH_AKA", "aka" },
    { MBIM_CID_AUTH_AKAP, "MBIM_CID_AUTH_AKAP", "akap" },
    { MBIM_CID_AUTH_SIM, "MBIM_CID_AUTH_SIM", "sim" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_auth_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidAuth"),
                                      mbim_cid_auth_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_AUTH_IS_ENUM__
/**
 * mbim_cid_auth_get_string:
 * @val: a MbimCidAuth.
 *
 * Gets the nickname string for the #MbimCidAuth specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_auth_get_string (MbimCidAuth val)
{
    guint i;

    for (i = 0; mbim_cid_auth_values[i].value_nick; i++) {
        if (val == mbim_cid_auth_values[i].value)
            return mbim_cid_auth_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_AUTH_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_AUTH_IS_FLAGS__
/**
 * mbim_cid_auth_build_string_from_mask:
 * @mask: bitmask of MbimCidAuth values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidAuth in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_auth_build_string_from_mask (MbimCidAuth mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_auth_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_auth_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_auth_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_auth_values[i].value) {
            guint c;
            gulong number = mbim_cid_auth_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_auth_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_AUTH_IS_FLAGS__ */

static const GEnumValue mbim_cid_dss_values[] = {
    { MBIM_CID_DSS_UNKNOWN, "MBIM_CID_DSS_UNKNOWN", "unknown" },
    { MBIM_CID_DSS_CONNECT, "MBIM_CID_DSS_CONNECT", "connect" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_dss_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidDss"),
                                      mbim_cid_dss_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_DSS_IS_ENUM__
/**
 * mbim_cid_dss_get_string:
 * @val: a MbimCidDss.
 *
 * Gets the nickname string for the #MbimCidDss specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_dss_get_string (MbimCidDss val)
{
    guint i;

    for (i = 0; mbim_cid_dss_values[i].value_nick; i++) {
        if (val == mbim_cid_dss_values[i].value)
            return mbim_cid_dss_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_DSS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_DSS_IS_FLAGS__
/**
 * mbim_cid_dss_build_string_from_mask:
 * @mask: bitmask of MbimCidDss values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidDss in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_dss_build_string_from_mask (MbimCidDss mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_dss_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_dss_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_dss_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_dss_values[i].value) {
            guint c;
            gulong number = mbim_cid_dss_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_dss_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_DSS_IS_FLAGS__ */

static const GEnumValue mbim_cid_ms_firmware_id_values[] = {
    { MBIM_CID_MS_FIRMWARE_ID_UNKNOWN, "MBIM_CID_MS_FIRMWARE_ID_UNKNOWN", "unknown" },
    { MBIM_CID_MS_FIRMWARE_ID_GET, "MBIM_CID_MS_FIRMWARE_ID_GET", "get" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_ms_firmware_id_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidMsFirmwareId"),
                                      mbim_cid_ms_firmware_id_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_MS_FIRMWARE_ID_IS_ENUM__
/**
 * mbim_cid_ms_firmware_id_get_string:
 * @val: a MbimCidMsFirmwareId.
 *
 * Gets the nickname string for the #MbimCidMsFirmwareId specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_ms_firmware_id_get_string (MbimCidMsFirmwareId val)
{
    guint i;

    for (i = 0; mbim_cid_ms_firmware_id_values[i].value_nick; i++) {
        if (val == mbim_cid_ms_firmware_id_values[i].value)
            return mbim_cid_ms_firmware_id_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_MS_FIRMWARE_ID_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_MS_FIRMWARE_ID_IS_FLAGS__
/**
 * mbim_cid_ms_firmware_id_build_string_from_mask:
 * @mask: bitmask of MbimCidMsFirmwareId values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidMsFirmwareId in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_ms_firmware_id_build_string_from_mask (MbimCidMsFirmwareId mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_ms_firmware_id_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_ms_firmware_id_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_ms_firmware_id_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_ms_firmware_id_values[i].value) {
            guint c;
            gulong number = mbim_cid_ms_firmware_id_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_ms_firmware_id_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_MS_FIRMWARE_ID_IS_FLAGS__ */

static const GEnumValue mbim_cid_ms_host_shutdown_values[] = {
    { MBIM_CID_MS_HOST_SHUTDOWN_UNKNOWN, "MBIM_CID_MS_HOST_SHUTDOWN_UNKNOWN", "unknown" },
    { MBIM_CID_MS_HOST_SHUTDOWN_NOTIFY, "MBIM_CID_MS_HOST_SHUTDOWN_NOTIFY", "notify" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_ms_host_shutdown_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidMsHostShutdown"),
                                      mbim_cid_ms_host_shutdown_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_MS_HOST_SHUTDOWN_IS_ENUM__
/**
 * mbim_cid_ms_host_shutdown_get_string:
 * @val: a MbimCidMsHostShutdown.
 *
 * Gets the nickname string for the #MbimCidMsHostShutdown specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_ms_host_shutdown_get_string (MbimCidMsHostShutdown val)
{
    guint i;

    for (i = 0; mbim_cid_ms_host_shutdown_values[i].value_nick; i++) {
        if (val == mbim_cid_ms_host_shutdown_values[i].value)
            return mbim_cid_ms_host_shutdown_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_MS_HOST_SHUTDOWN_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_MS_HOST_SHUTDOWN_IS_FLAGS__
/**
 * mbim_cid_ms_host_shutdown_build_string_from_mask:
 * @mask: bitmask of MbimCidMsHostShutdown values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidMsHostShutdown in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_ms_host_shutdown_build_string_from_mask (MbimCidMsHostShutdown mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_ms_host_shutdown_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_ms_host_shutdown_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_ms_host_shutdown_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_ms_host_shutdown_values[i].value) {
            guint c;
            gulong number = mbim_cid_ms_host_shutdown_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_ms_host_shutdown_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_MS_HOST_SHUTDOWN_IS_FLAGS__ */

static const GEnumValue mbim_cid_proxy_control_values[] = {
    { MBIM_CID_PROXY_CONTROL_UNKNOWN, "MBIM_CID_PROXY_CONTROL_UNKNOWN", "unknown" },
    { MBIM_CID_PROXY_CONTROL_CONFIGURATION, "MBIM_CID_PROXY_CONTROL_CONFIGURATION", "configuration" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cid_proxy_control_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCidProxyControl"),
                                      mbim_cid_proxy_control_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CID_PROXY_CONTROL_IS_ENUM__
/**
 * mbim_cid_proxy_control_get_string:
 * @val: a MbimCidProxyControl.
 *
 * Gets the nickname string for the #MbimCidProxyControl specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cid_proxy_control_get_string (MbimCidProxyControl val)
{
    guint i;

    for (i = 0; mbim_cid_proxy_control_values[i].value_nick; i++) {
        if (val == mbim_cid_proxy_control_values[i].value)
            return mbim_cid_proxy_control_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CID_PROXY_CONTROL_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CID_PROXY_CONTROL_IS_FLAGS__
/**
 * mbim_cid_proxy_control_build_string_from_mask:
 * @mask: bitmask of MbimCidProxyControl values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCidProxyControl in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cid_proxy_control_build_string_from_mask (MbimCidProxyControl mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cid_proxy_control_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cid_proxy_control_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cid_proxy_control_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cid_proxy_control_values[i].value) {
            guint c;
            gulong number = mbim_cid_proxy_control_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cid_proxy_control_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CID_PROXY_CONTROL_IS_FLAGS__ */

/* enumerations from "../../../src/libmbim-glib/mbim-message.h" */
static const GEnumValue mbim_message_type_values[] = {
    { MBIM_MESSAGE_TYPE_INVALID, "MBIM_MESSAGE_TYPE_INVALID", "invalid" },
    { MBIM_MESSAGE_TYPE_OPEN, "MBIM_MESSAGE_TYPE_OPEN", "open" },
    { MBIM_MESSAGE_TYPE_CLOSE, "MBIM_MESSAGE_TYPE_CLOSE", "close" },
    { MBIM_MESSAGE_TYPE_COMMAND, "MBIM_MESSAGE_TYPE_COMMAND", "command" },
    { MBIM_MESSAGE_TYPE_HOST_ERROR, "MBIM_MESSAGE_TYPE_HOST_ERROR", "host-error" },
    { MBIM_MESSAGE_TYPE_OPEN_DONE, "MBIM_MESSAGE_TYPE_OPEN_DONE", "open-done" },
    { MBIM_MESSAGE_TYPE_CLOSE_DONE, "MBIM_MESSAGE_TYPE_CLOSE_DONE", "close-done" },
    { MBIM_MESSAGE_TYPE_COMMAND_DONE, "MBIM_MESSAGE_TYPE_COMMAND_DONE", "command-done" },
    { MBIM_MESSAGE_TYPE_FUNCTION_ERROR, "MBIM_MESSAGE_TYPE_FUNCTION_ERROR", "function-error" },
    { MBIM_MESSAGE_TYPE_INDICATE_STATUS, "MBIM_MESSAGE_TYPE_INDICATE_STATUS", "indicate-status" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_message_type_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimMessageType"),
                                      mbim_message_type_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_MESSAGE_TYPE_IS_ENUM__
/**
 * mbim_message_type_get_string:
 * @val: a MbimMessageType.
 *
 * Gets the nickname string for the #MbimMessageType specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_message_type_get_string (MbimMessageType val)
{
    guint i;

    for (i = 0; mbim_message_type_values[i].value_nick; i++) {
        if (val == mbim_message_type_values[i].value)
            return mbim_message_type_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_MESSAGE_TYPE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_MESSAGE_TYPE_IS_FLAGS__
/**
 * mbim_message_type_build_string_from_mask:
 * @mask: bitmask of MbimMessageType values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimMessageType in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_message_type_build_string_from_mask (MbimMessageType mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_message_type_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_message_type_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_message_type_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_message_type_values[i].value) {
            guint c;
            gulong number = mbim_message_type_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_message_type_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_MESSAGE_TYPE_IS_FLAGS__ */

static const GEnumValue mbim_message_command_type_values[] = {
    { MBIM_MESSAGE_COMMAND_TYPE_UNKNOWN, "MBIM_MESSAGE_COMMAND_TYPE_UNKNOWN", "unknown" },
    { MBIM_MESSAGE_COMMAND_TYPE_QUERY, "MBIM_MESSAGE_COMMAND_TYPE_QUERY", "query" },
    { MBIM_MESSAGE_COMMAND_TYPE_SET, "MBIM_MESSAGE_COMMAND_TYPE_SET", "set" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_message_command_type_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimMessageCommandType"),
                                      mbim_message_command_type_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_MESSAGE_COMMAND_TYPE_IS_ENUM__
/**
 * mbim_message_command_type_get_string:
 * @val: a MbimMessageCommandType.
 *
 * Gets the nickname string for the #MbimMessageCommandType specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_message_command_type_get_string (MbimMessageCommandType val)
{
    guint i;

    for (i = 0; mbim_message_command_type_values[i].value_nick; i++) {
        if (val == mbim_message_command_type_values[i].value)
            return mbim_message_command_type_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_MESSAGE_COMMAND_TYPE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_MESSAGE_COMMAND_TYPE_IS_FLAGS__
/**
 * mbim_message_command_type_build_string_from_mask:
 * @mask: bitmask of MbimMessageCommandType values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimMessageCommandType in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_message_command_type_build_string_from_mask (MbimMessageCommandType mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_message_command_type_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_message_command_type_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_message_command_type_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_message_command_type_values[i].value) {
            guint c;
            gulong number = mbim_message_command_type_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_message_command_type_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_MESSAGE_COMMAND_TYPE_IS_FLAGS__ */

/* enumerations from "../../../src/libmbim-glib/mbim-enums.h" */
static const GEnumValue mbim_device_type_values[] = {
    { MBIM_DEVICE_TYPE_UNKNOWN, "MBIM_DEVICE_TYPE_UNKNOWN", "unknown" },
    { MBIM_DEVICE_TYPE_EMBEDDED, "MBIM_DEVICE_TYPE_EMBEDDED", "embedded" },
    { MBIM_DEVICE_TYPE_REMOVABLE, "MBIM_DEVICE_TYPE_REMOVABLE", "removable" },
    { MBIM_DEVICE_TYPE_REMOTE, "MBIM_DEVICE_TYPE_REMOTE", "remote" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_device_type_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimDeviceType"),
                                      mbim_device_type_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_DEVICE_TYPE_IS_ENUM__
/**
 * mbim_device_type_get_string:
 * @val: a MbimDeviceType.
 *
 * Gets the nickname string for the #MbimDeviceType specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_device_type_get_string (MbimDeviceType val)
{
    guint i;

    for (i = 0; mbim_device_type_values[i].value_nick; i++) {
        if (val == mbim_device_type_values[i].value)
            return mbim_device_type_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_DEVICE_TYPE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_DEVICE_TYPE_IS_FLAGS__
/**
 * mbim_device_type_build_string_from_mask:
 * @mask: bitmask of MbimDeviceType values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimDeviceType in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_device_type_build_string_from_mask (MbimDeviceType mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_device_type_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_device_type_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_device_type_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_device_type_values[i].value) {
            guint c;
            gulong number = mbim_device_type_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_device_type_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_DEVICE_TYPE_IS_FLAGS__ */

static const GFlagsValue mbim_cellular_class_values[] = {
    { MBIM_CELLULAR_CLASS_GSM, "MBIM_CELLULAR_CLASS_GSM", "gsm" },
    { MBIM_CELLULAR_CLASS_CDMA, "MBIM_CELLULAR_CLASS_CDMA", "cdma" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_cellular_class_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimCellularClass"),
                                      mbim_cellular_class_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CELLULAR_CLASS_IS_ENUM__
/**
 * mbim_cellular_class_get_string:
 * @val: a MbimCellularClass.
 *
 * Gets the nickname string for the #MbimCellularClass specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_cellular_class_get_string (MbimCellularClass val)
{
    guint i;

    for (i = 0; mbim_cellular_class_values[i].value_nick; i++) {
        if (val == mbim_cellular_class_values[i].value)
            return mbim_cellular_class_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CELLULAR_CLASS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CELLULAR_CLASS_IS_FLAGS__
/**
 * mbim_cellular_class_build_string_from_mask:
 * @mask: bitmask of MbimCellularClass values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCellularClass in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_cellular_class_build_string_from_mask (MbimCellularClass mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_cellular_class_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_cellular_class_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_cellular_class_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_cellular_class_values[i].value) {
            guint c;
            gulong number = mbim_cellular_class_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_cellular_class_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CELLULAR_CLASS_IS_FLAGS__ */

static const GEnumValue mbim_voice_class_values[] = {
    { MBIM_VOICE_CLASS_UNKNOWN, "MBIM_VOICE_CLASS_UNKNOWN", "unknown" },
    { MBIM_VOICE_CLASS_NO_VOICE, "MBIM_VOICE_CLASS_NO_VOICE", "no-voice" },
    { MBIM_VOICE_CLASS_SEPARATED_VOICE_DATA, "MBIM_VOICE_CLASS_SEPARATED_VOICE_DATA", "separated-voice-data" },
    { MBIM_VOICE_CLASS_SIMULTANEOUS_VOICE_DATA, "MBIM_VOICE_CLASS_SIMULTANEOUS_VOICE_DATA", "simultaneous-voice-data" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_voice_class_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimVoiceClass"),
                                      mbim_voice_class_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_VOICE_CLASS_IS_ENUM__
/**
 * mbim_voice_class_get_string:
 * @val: a MbimVoiceClass.
 *
 * Gets the nickname string for the #MbimVoiceClass specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_voice_class_get_string (MbimVoiceClass val)
{
    guint i;

    for (i = 0; mbim_voice_class_values[i].value_nick; i++) {
        if (val == mbim_voice_class_values[i].value)
            return mbim_voice_class_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_VOICE_CLASS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_VOICE_CLASS_IS_FLAGS__
/**
 * mbim_voice_class_build_string_from_mask:
 * @mask: bitmask of MbimVoiceClass values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimVoiceClass in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_voice_class_build_string_from_mask (MbimVoiceClass mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_voice_class_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_voice_class_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_voice_class_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_voice_class_values[i].value) {
            guint c;
            gulong number = mbim_voice_class_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_voice_class_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_VOICE_CLASS_IS_FLAGS__ */

static const GFlagsValue mbim_sim_class_values[] = {
    { MBIM_SIM_CLASS_LOGICAL, "MBIM_SIM_CLASS_LOGICAL", "logical" },
    { MBIM_SIM_CLASS_REMOVABLE, "MBIM_SIM_CLASS_REMOVABLE", "removable" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sim_class_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimSimClass"),
                                      mbim_sim_class_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SIM_CLASS_IS_ENUM__
/**
 * mbim_sim_class_get_string:
 * @val: a MbimSimClass.
 *
 * Gets the nickname string for the #MbimSimClass specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sim_class_get_string (MbimSimClass val)
{
    guint i;

    for (i = 0; mbim_sim_class_values[i].value_nick; i++) {
        if (val == mbim_sim_class_values[i].value)
            return mbim_sim_class_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SIM_CLASS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SIM_CLASS_IS_FLAGS__
/**
 * mbim_sim_class_build_string_from_mask:
 * @mask: bitmask of MbimSimClass values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSimClass in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sim_class_build_string_from_mask (MbimSimClass mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sim_class_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sim_class_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sim_class_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sim_class_values[i].value) {
            guint c;
            gulong number = mbim_sim_class_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sim_class_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SIM_CLASS_IS_FLAGS__ */

static const GFlagsValue mbim_data_class_values[] = {
    { MBIM_DATA_CLASS_GPRS, "MBIM_DATA_CLASS_GPRS", "gprs" },
    { MBIM_DATA_CLASS_EDGE, "MBIM_DATA_CLASS_EDGE", "edge" },
    { MBIM_DATA_CLASS_UMTS, "MBIM_DATA_CLASS_UMTS", "umts" },
    { MBIM_DATA_CLASS_HSDPA, "MBIM_DATA_CLASS_HSDPA", "hsdpa" },
    { MBIM_DATA_CLASS_HSUPA, "MBIM_DATA_CLASS_HSUPA", "hsupa" },
    { MBIM_DATA_CLASS_LTE, "MBIM_DATA_CLASS_LTE", "lte" },
    { MBIM_DATA_CLASS_1XRTT, "MBIM_DATA_CLASS_1XRTT", "1xrtt" },
    { MBIM_DATA_CLASS_1XEVDO, "MBIM_DATA_CLASS_1XEVDO", "1xevdo" },
    { MBIM_DATA_CLASS_1XEVDO_REVA, "MBIM_DATA_CLASS_1XEVDO_REVA", "1xevdo-reva" },
    { MBIM_DATA_CLASS_1XEVDV, "MBIM_DATA_CLASS_1XEVDV", "1xevdv" },
    { MBIM_DATA_CLASS_3XRTT, "MBIM_DATA_CLASS_3XRTT", "3xrtt" },
    { MBIM_DATA_CLASS_1XEVDO_REVB, "MBIM_DATA_CLASS_1XEVDO_REVB", "1xevdo-revb" },
    { MBIM_DATA_CLASS_UMB, "MBIM_DATA_CLASS_UMB", "umb" },
    { MBIM_DATA_CLASS_CUSTOM, "MBIM_DATA_CLASS_CUSTOM", "custom" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_data_class_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimDataClass"),
                                      mbim_data_class_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_DATA_CLASS_IS_ENUM__
/**
 * mbim_data_class_get_string:
 * @val: a MbimDataClass.
 *
 * Gets the nickname string for the #MbimDataClass specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_data_class_get_string (MbimDataClass val)
{
    guint i;

    for (i = 0; mbim_data_class_values[i].value_nick; i++) {
        if (val == mbim_data_class_values[i].value)
            return mbim_data_class_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_DATA_CLASS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_DATA_CLASS_IS_FLAGS__
/**
 * mbim_data_class_build_string_from_mask:
 * @mask: bitmask of MbimDataClass values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimDataClass in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_data_class_build_string_from_mask (MbimDataClass mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_data_class_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_data_class_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_data_class_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_data_class_values[i].value) {
            guint c;
            gulong number = mbim_data_class_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_data_class_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_DATA_CLASS_IS_FLAGS__ */

static const GFlagsValue mbim_sms_caps_values[] = {
    { MBIM_SMS_CAPS_PDU_RECEIVE, "MBIM_SMS_CAPS_PDU_RECEIVE", "pdu-receive" },
    { MBIM_SMS_CAPS_PDU_SEND, "MBIM_SMS_CAPS_PDU_SEND", "pdu-send" },
    { MBIM_SMS_CAPS_TEXT_RECEIVE, "MBIM_SMS_CAPS_TEXT_RECEIVE", "text-receive" },
    { MBIM_SMS_CAPS_TEXT_SEND, "MBIM_SMS_CAPS_TEXT_SEND", "text-send" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_caps_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimSmsCaps"),
                                      mbim_sms_caps_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_CAPS_IS_ENUM__
/**
 * mbim_sms_caps_get_string:
 * @val: a MbimSmsCaps.
 *
 * Gets the nickname string for the #MbimSmsCaps specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_caps_get_string (MbimSmsCaps val)
{
    guint i;

    for (i = 0; mbim_sms_caps_values[i].value_nick; i++) {
        if (val == mbim_sms_caps_values[i].value)
            return mbim_sms_caps_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_CAPS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_CAPS_IS_FLAGS__
/**
 * mbim_sms_caps_build_string_from_mask:
 * @mask: bitmask of MbimSmsCaps values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsCaps in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_caps_build_string_from_mask (MbimSmsCaps mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_caps_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_caps_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_caps_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_caps_values[i].value) {
            guint c;
            gulong number = mbim_sms_caps_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_caps_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_CAPS_IS_FLAGS__ */

static const GFlagsValue mbim_ctrl_caps_values[] = {
    { MBIM_CTRL_CAPS_REG_MANUAL, "MBIM_CTRL_CAPS_REG_MANUAL", "reg-manual" },
    { MBIM_CTRL_CAPS_HW_RADIO_SWITCH, "MBIM_CTRL_CAPS_HW_RADIO_SWITCH", "hw-radio-switch" },
    { MBIM_CTRL_CAPS_CDMA_MOBILE_IP, "MBIM_CTRL_CAPS_CDMA_MOBILE_IP", "cdma-mobile-ip" },
    { MBIM_CTRL_CAPS_CDMA_SIMPLE_IP, "MBIM_CTRL_CAPS_CDMA_SIMPLE_IP", "cdma-simple-ip" },
    { MBIM_CTRL_CAPS_MULTI_CARRIER, "MBIM_CTRL_CAPS_MULTI_CARRIER", "multi-carrier" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_ctrl_caps_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimCtrlCaps"),
                                      mbim_ctrl_caps_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CTRL_CAPS_IS_ENUM__
/**
 * mbim_ctrl_caps_get_string:
 * @val: a MbimCtrlCaps.
 *
 * Gets the nickname string for the #MbimCtrlCaps specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_ctrl_caps_get_string (MbimCtrlCaps val)
{
    guint i;

    for (i = 0; mbim_ctrl_caps_values[i].value_nick; i++) {
        if (val == mbim_ctrl_caps_values[i].value)
            return mbim_ctrl_caps_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CTRL_CAPS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CTRL_CAPS_IS_FLAGS__
/**
 * mbim_ctrl_caps_build_string_from_mask:
 * @mask: bitmask of MbimCtrlCaps values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCtrlCaps in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_ctrl_caps_build_string_from_mask (MbimCtrlCaps mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_ctrl_caps_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_ctrl_caps_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_ctrl_caps_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_ctrl_caps_values[i].value) {
            guint c;
            gulong number = mbim_ctrl_caps_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_ctrl_caps_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CTRL_CAPS_IS_FLAGS__ */

static const GEnumValue mbim_subscriber_ready_state_values[] = {
    { MBIM_SUBSCRIBER_READY_STATE_NOT_INITIALIZED, "MBIM_SUBSCRIBER_READY_STATE_NOT_INITIALIZED", "not-initialized" },
    { MBIM_SUBSCRIBER_READY_STATE_INITIALIZED, "MBIM_SUBSCRIBER_READY_STATE_INITIALIZED", "initialized" },
    { MBIM_SUBSCRIBER_READY_STATE_SIM_NOT_INSERTED, "MBIM_SUBSCRIBER_READY_STATE_SIM_NOT_INSERTED", "sim-not-inserted" },
    { MBIM_SUBSCRIBER_READY_STATE_BAD_SIM, "MBIM_SUBSCRIBER_READY_STATE_BAD_SIM", "bad-sim" },
    { MBIM_SUBSCRIBER_READY_STATE_FAILURE, "MBIM_SUBSCRIBER_READY_STATE_FAILURE", "failure" },
    { MBIM_SUBSCRIBER_READY_STATE_NOT_ACTIVATED, "MBIM_SUBSCRIBER_READY_STATE_NOT_ACTIVATED", "not-activated" },
    { MBIM_SUBSCRIBER_READY_STATE_DEVICE_LOCKED, "MBIM_SUBSCRIBER_READY_STATE_DEVICE_LOCKED", "device-locked" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_subscriber_ready_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSubscriberReadyState"),
                                      mbim_subscriber_ready_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SUBSCRIBER_READY_STATE_IS_ENUM__
/**
 * mbim_subscriber_ready_state_get_string:
 * @val: a MbimSubscriberReadyState.
 *
 * Gets the nickname string for the #MbimSubscriberReadyState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_subscriber_ready_state_get_string (MbimSubscriberReadyState val)
{
    guint i;

    for (i = 0; mbim_subscriber_ready_state_values[i].value_nick; i++) {
        if (val == mbim_subscriber_ready_state_values[i].value)
            return mbim_subscriber_ready_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SUBSCRIBER_READY_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SUBSCRIBER_READY_STATE_IS_FLAGS__
/**
 * mbim_subscriber_ready_state_build_string_from_mask:
 * @mask: bitmask of MbimSubscriberReadyState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSubscriberReadyState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_subscriber_ready_state_build_string_from_mask (MbimSubscriberReadyState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_subscriber_ready_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_subscriber_ready_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_subscriber_ready_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_subscriber_ready_state_values[i].value) {
            guint c;
            gulong number = mbim_subscriber_ready_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_subscriber_ready_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SUBSCRIBER_READY_STATE_IS_FLAGS__ */

static const GFlagsValue mbim_ready_info_flag_values[] = {
    { MBIM_READY_INFO_FLAG_PROTECT_UNIQUE_ID, "MBIM_READY_INFO_FLAG_PROTECT_UNIQUE_ID", "id" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_ready_info_flag_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimReadyInfoFlag"),
                                      mbim_ready_info_flag_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_READY_INFO_FLAG_IS_ENUM__
/**
 * mbim_ready_info_flag_get_string:
 * @val: a MbimReadyInfoFlag.
 *
 * Gets the nickname string for the #MbimReadyInfoFlag specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_ready_info_flag_get_string (MbimReadyInfoFlag val)
{
    guint i;

    for (i = 0; mbim_ready_info_flag_values[i].value_nick; i++) {
        if (val == mbim_ready_info_flag_values[i].value)
            return mbim_ready_info_flag_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_READY_INFO_FLAG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_READY_INFO_FLAG_IS_FLAGS__
/**
 * mbim_ready_info_flag_build_string_from_mask:
 * @mask: bitmask of MbimReadyInfoFlag values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimReadyInfoFlag in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_ready_info_flag_build_string_from_mask (MbimReadyInfoFlag mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_ready_info_flag_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_ready_info_flag_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_ready_info_flag_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_ready_info_flag_values[i].value) {
            guint c;
            gulong number = mbim_ready_info_flag_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_ready_info_flag_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_READY_INFO_FLAG_IS_FLAGS__ */

static const GEnumValue mbim_radio_switch_state_values[] = {
    { MBIM_RADIO_SWITCH_STATE_OFF, "MBIM_RADIO_SWITCH_STATE_OFF", "off" },
    { MBIM_RADIO_SWITCH_STATE_ON, "MBIM_RADIO_SWITCH_STATE_ON", "on" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_radio_switch_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimRadioSwitchState"),
                                      mbim_radio_switch_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_RADIO_SWITCH_STATE_IS_ENUM__
/**
 * mbim_radio_switch_state_get_string:
 * @val: a MbimRadioSwitchState.
 *
 * Gets the nickname string for the #MbimRadioSwitchState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_radio_switch_state_get_string (MbimRadioSwitchState val)
{
    guint i;

    for (i = 0; mbim_radio_switch_state_values[i].value_nick; i++) {
        if (val == mbim_radio_switch_state_values[i].value)
            return mbim_radio_switch_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_RADIO_SWITCH_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_RADIO_SWITCH_STATE_IS_FLAGS__
/**
 * mbim_radio_switch_state_build_string_from_mask:
 * @mask: bitmask of MbimRadioSwitchState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimRadioSwitchState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_radio_switch_state_build_string_from_mask (MbimRadioSwitchState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_radio_switch_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_radio_switch_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_radio_switch_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_radio_switch_state_values[i].value) {
            guint c;
            gulong number = mbim_radio_switch_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_radio_switch_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_RADIO_SWITCH_STATE_IS_FLAGS__ */

static const GEnumValue mbim_pin_type_values[] = {
    { MBIM_PIN_TYPE_UNKNOWN, "MBIM_PIN_TYPE_UNKNOWN", "unknown" },
    { MBIM_PIN_TYPE_CUSTOM, "MBIM_PIN_TYPE_CUSTOM", "custom" },
    { MBIM_PIN_TYPE_PIN1, "MBIM_PIN_TYPE_PIN1", "pin1" },
    { MBIM_PIN_TYPE_PIN2, "MBIM_PIN_TYPE_PIN2", "pin2" },
    { MBIM_PIN_TYPE_DEVICE_SIM_PIN, "MBIM_PIN_TYPE_DEVICE_SIM_PIN", "device-sim-pin" },
    { MBIM_PIN_TYPE_DEVICE_FIRST_SIM_PIN, "MBIM_PIN_TYPE_DEVICE_FIRST_SIM_PIN", "device-first-sim-pin" },
    { MBIM_PIN_TYPE_NETWORK_PIN, "MBIM_PIN_TYPE_NETWORK_PIN", "network-pin" },
    { MBIM_PIN_TYPE_NETWORK_SUBSET_PIN, "MBIM_PIN_TYPE_NETWORK_SUBSET_PIN", "network-subset-pin" },
    { MBIM_PIN_TYPE_SERVICE_PROVIDER_PIN, "MBIM_PIN_TYPE_SERVICE_PROVIDER_PIN", "service-provider-pin" },
    { MBIM_PIN_TYPE_CORPORATE_PIN, "MBIM_PIN_TYPE_CORPORATE_PIN", "corporate-pin" },
    { MBIM_PIN_TYPE_SUBSIDY_PIN, "MBIM_PIN_TYPE_SUBSIDY_PIN", "subsidy-pin" },
    { MBIM_PIN_TYPE_PUK1, "MBIM_PIN_TYPE_PUK1", "puk1" },
    { MBIM_PIN_TYPE_PUK2, "MBIM_PIN_TYPE_PUK2", "puk2" },
    { MBIM_PIN_TYPE_DEVICE_FIRST_SIM_PUK, "MBIM_PIN_TYPE_DEVICE_FIRST_SIM_PUK", "device-first-sim-puk" },
    { MBIM_PIN_TYPE_NETWORK_PUK, "MBIM_PIN_TYPE_NETWORK_PUK", "network-puk" },
    { MBIM_PIN_TYPE_NETWORK_SUBSET_PUK, "MBIM_PIN_TYPE_NETWORK_SUBSET_PUK", "network-subset-puk" },
    { MBIM_PIN_TYPE_SERVICE_PROVIDER_PUK, "MBIM_PIN_TYPE_SERVICE_PROVIDER_PUK", "service-provider-puk" },
    { MBIM_PIN_TYPE_CORPORATE_PUK, "MBIM_PIN_TYPE_CORPORATE_PUK", "corporate-puk" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_pin_type_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPinType"),
                                      mbim_pin_type_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PIN_TYPE_IS_ENUM__
/**
 * mbim_pin_type_get_string:
 * @val: a MbimPinType.
 *
 * Gets the nickname string for the #MbimPinType specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_pin_type_get_string (MbimPinType val)
{
    guint i;

    for (i = 0; mbim_pin_type_values[i].value_nick; i++) {
        if (val == mbim_pin_type_values[i].value)
            return mbim_pin_type_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PIN_TYPE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PIN_TYPE_IS_FLAGS__
/**
 * mbim_pin_type_build_string_from_mask:
 * @mask: bitmask of MbimPinType values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPinType in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_pin_type_build_string_from_mask (MbimPinType mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_pin_type_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_pin_type_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_pin_type_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_pin_type_values[i].value) {
            guint c;
            gulong number = mbim_pin_type_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_pin_type_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PIN_TYPE_IS_FLAGS__ */

static const GEnumValue mbim_pin_state_values[] = {
    { MBIM_PIN_STATE_UNLOCKED, "MBIM_PIN_STATE_UNLOCKED", "unlocked" },
    { MBIM_PIN_STATE_LOCKED, "MBIM_PIN_STATE_LOCKED", "locked" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_pin_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPinState"),
                                      mbim_pin_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PIN_STATE_IS_ENUM__
/**
 * mbim_pin_state_get_string:
 * @val: a MbimPinState.
 *
 * Gets the nickname string for the #MbimPinState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_pin_state_get_string (MbimPinState val)
{
    guint i;

    for (i = 0; mbim_pin_state_values[i].value_nick; i++) {
        if (val == mbim_pin_state_values[i].value)
            return mbim_pin_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PIN_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PIN_STATE_IS_FLAGS__
/**
 * mbim_pin_state_build_string_from_mask:
 * @mask: bitmask of MbimPinState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPinState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_pin_state_build_string_from_mask (MbimPinState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_pin_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_pin_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_pin_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_pin_state_values[i].value) {
            guint c;
            gulong number = mbim_pin_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_pin_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PIN_STATE_IS_FLAGS__ */

static const GEnumValue mbim_pin_operation_values[] = {
    { MBIM_PIN_OPERATION_ENTER, "MBIM_PIN_OPERATION_ENTER", "enter" },
    { MBIM_PIN_OPERATION_ENABLE, "MBIM_PIN_OPERATION_ENABLE", "enable" },
    { MBIM_PIN_OPERATION_DISABLE, "MBIM_PIN_OPERATION_DISABLE", "disable" },
    { MBIM_PIN_OPERATION_CHANGE, "MBIM_PIN_OPERATION_CHANGE", "change" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_pin_operation_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPinOperation"),
                                      mbim_pin_operation_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PIN_OPERATION_IS_ENUM__
/**
 * mbim_pin_operation_get_string:
 * @val: a MbimPinOperation.
 *
 * Gets the nickname string for the #MbimPinOperation specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_pin_operation_get_string (MbimPinOperation val)
{
    guint i;

    for (i = 0; mbim_pin_operation_values[i].value_nick; i++) {
        if (val == mbim_pin_operation_values[i].value)
            return mbim_pin_operation_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PIN_OPERATION_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PIN_OPERATION_IS_FLAGS__
/**
 * mbim_pin_operation_build_string_from_mask:
 * @mask: bitmask of MbimPinOperation values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPinOperation in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_pin_operation_build_string_from_mask (MbimPinOperation mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_pin_operation_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_pin_operation_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_pin_operation_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_pin_operation_values[i].value) {
            guint c;
            gulong number = mbim_pin_operation_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_pin_operation_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PIN_OPERATION_IS_FLAGS__ */

static const GEnumValue mbim_pin_mode_values[] = {
    { MBIM_PIN_MODE_NOT_SUPPORTED, "MBIM_PIN_MODE_NOT_SUPPORTED", "not-supported" },
    { MBIM_PIN_MODE_ENABLED, "MBIM_PIN_MODE_ENABLED", "enabled" },
    { MBIM_PIN_MODE_DISABLED, "MBIM_PIN_MODE_DISABLED", "disabled" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_pin_mode_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPinMode"),
                                      mbim_pin_mode_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PIN_MODE_IS_ENUM__
/**
 * mbim_pin_mode_get_string:
 * @val: a MbimPinMode.
 *
 * Gets the nickname string for the #MbimPinMode specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_pin_mode_get_string (MbimPinMode val)
{
    guint i;

    for (i = 0; mbim_pin_mode_values[i].value_nick; i++) {
        if (val == mbim_pin_mode_values[i].value)
            return mbim_pin_mode_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PIN_MODE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PIN_MODE_IS_FLAGS__
/**
 * mbim_pin_mode_build_string_from_mask:
 * @mask: bitmask of MbimPinMode values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPinMode in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_pin_mode_build_string_from_mask (MbimPinMode mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_pin_mode_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_pin_mode_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_pin_mode_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_pin_mode_values[i].value) {
            guint c;
            gulong number = mbim_pin_mode_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_pin_mode_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PIN_MODE_IS_FLAGS__ */

static const GEnumValue mbim_pin_format_values[] = {
    { MBIM_PIN_FORMAT_UNKNOWN, "MBIM_PIN_FORMAT_UNKNOWN", "unknown" },
    { MBIM_PIN_FORMAT_NUMERIC, "MBIM_PIN_FORMAT_NUMERIC", "numeric" },
    { MBIM_PIN_FORMAT_ALPHANUMERIC, "MBIM_PIN_FORMAT_ALPHANUMERIC", "alphanumeric" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_pin_format_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPinFormat"),
                                      mbim_pin_format_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PIN_FORMAT_IS_ENUM__
/**
 * mbim_pin_format_get_string:
 * @val: a MbimPinFormat.
 *
 * Gets the nickname string for the #MbimPinFormat specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_pin_format_get_string (MbimPinFormat val)
{
    guint i;

    for (i = 0; mbim_pin_format_values[i].value_nick; i++) {
        if (val == mbim_pin_format_values[i].value)
            return mbim_pin_format_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PIN_FORMAT_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PIN_FORMAT_IS_FLAGS__
/**
 * mbim_pin_format_build_string_from_mask:
 * @mask: bitmask of MbimPinFormat values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPinFormat in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_pin_format_build_string_from_mask (MbimPinFormat mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_pin_format_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_pin_format_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_pin_format_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_pin_format_values[i].value) {
            guint c;
            gulong number = mbim_pin_format_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_pin_format_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PIN_FORMAT_IS_FLAGS__ */

static const GFlagsValue mbim_provider_state_values[] = {
    { MBIM_PROVIDER_STATE_UNKNOWN, "MBIM_PROVIDER_STATE_UNKNOWN", "unknown" },
    { MBIM_PROVIDER_STATE_HOME, "MBIM_PROVIDER_STATE_HOME", "home" },
    { MBIM_PROVIDER_STATE_FORBIDDEN, "MBIM_PROVIDER_STATE_FORBIDDEN", "forbidden" },
    { MBIM_PROVIDER_STATE_PREFERRED, "MBIM_PROVIDER_STATE_PREFERRED", "preferred" },
    { MBIM_PROVIDER_STATE_VISIBLE, "MBIM_PROVIDER_STATE_VISIBLE", "visible" },
    { MBIM_PROVIDER_STATE_REGISTERED, "MBIM_PROVIDER_STATE_REGISTERED", "registered" },
    { MBIM_PROVIDER_STATE_PREFERRED_MULTICARRIER, "MBIM_PROVIDER_STATE_PREFERRED_MULTICARRIER", "preferred-multicarrier" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_provider_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimProviderState"),
                                      mbim_provider_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PROVIDER_STATE_IS_ENUM__
/**
 * mbim_provider_state_get_string:
 * @val: a MbimProviderState.
 *
 * Gets the nickname string for the #MbimProviderState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_provider_state_get_string (MbimProviderState val)
{
    guint i;

    for (i = 0; mbim_provider_state_values[i].value_nick; i++) {
        if (val == mbim_provider_state_values[i].value)
            return mbim_provider_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PROVIDER_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PROVIDER_STATE_IS_FLAGS__
/**
 * mbim_provider_state_build_string_from_mask:
 * @mask: bitmask of MbimProviderState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimProviderState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_provider_state_build_string_from_mask (MbimProviderState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_provider_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_provider_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_provider_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_provider_state_values[i].value) {
            guint c;
            gulong number = mbim_provider_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_provider_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PROVIDER_STATE_IS_FLAGS__ */

static const GEnumValue mbim_visible_providers_action_values[] = {
    { MBIM_VISIBLE_PROVIDERS_ACTION_FULL_SCAN, "MBIM_VISIBLE_PROVIDERS_ACTION_FULL_SCAN", "full-scan" },
    { MBIM_VISIBLE_PROVIDERS_ACTION_RESTRICTED_SCAN, "MBIM_VISIBLE_PROVIDERS_ACTION_RESTRICTED_SCAN", "restricted-scan" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_visible_providers_action_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimVisibleProvidersAction"),
                                      mbim_visible_providers_action_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_VISIBLE_PROVIDERS_ACTION_IS_ENUM__
/**
 * mbim_visible_providers_action_get_string:
 * @val: a MbimVisibleProvidersAction.
 *
 * Gets the nickname string for the #MbimVisibleProvidersAction specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_visible_providers_action_get_string (MbimVisibleProvidersAction val)
{
    guint i;

    for (i = 0; mbim_visible_providers_action_values[i].value_nick; i++) {
        if (val == mbim_visible_providers_action_values[i].value)
            return mbim_visible_providers_action_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_VISIBLE_PROVIDERS_ACTION_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_VISIBLE_PROVIDERS_ACTION_IS_FLAGS__
/**
 * mbim_visible_providers_action_build_string_from_mask:
 * @mask: bitmask of MbimVisibleProvidersAction values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimVisibleProvidersAction in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_visible_providers_action_build_string_from_mask (MbimVisibleProvidersAction mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_visible_providers_action_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_visible_providers_action_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_visible_providers_action_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_visible_providers_action_values[i].value) {
            guint c;
            gulong number = mbim_visible_providers_action_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_visible_providers_action_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_VISIBLE_PROVIDERS_ACTION_IS_FLAGS__ */

static const GEnumValue mbim_nw_error_values[] = {
    { MBIM_NW_ERROR_UNKNOWN, "MBIM_NW_ERROR_UNKNOWN", "unknown" },
    { MBIM_NW_ERROR_IMSI_UNKNOWN_IN_HLR, "MBIM_NW_ERROR_IMSI_UNKNOWN_IN_HLR", "imsi-unknown-in-hlr" },
    { MBIM_NW_ERROR_ILLEGAL_MS, "MBIM_NW_ERROR_ILLEGAL_MS", "illegal-ms" },
    { MBIM_NW_ERROR_IMSI_UNKNOWN_IN_VLR, "MBIM_NW_ERROR_IMSI_UNKNOWN_IN_VLR", "imsi-unknown-in-vlr" },
    { MBIM_NW_ERROR_IMEI_NOT_ACCEPTED, "MBIM_NW_ERROR_IMEI_NOT_ACCEPTED", "imei-not-accepted" },
    { MBIM_NW_ERROR_ILLEGAL_ME, "MBIM_NW_ERROR_ILLEGAL_ME", "illegal-me" },
    { MBIM_NW_ERROR_GPRS_NOT_ALLOWED, "MBIM_NW_ERROR_GPRS_NOT_ALLOWED", "gprs-not-allowed" },
    { MBIM_NW_ERROR_GPRS_AND_NON_GPRS_NOT_ALLOWED, "MBIM_NW_ERROR_GPRS_AND_NON_GPRS_NOT_ALLOWED", "gprs-and-non-gprs-not-allowed" },
    { MBIM_NW_ERROR_MS_IDENTITY_NOT_DERIVED_BY_NETWORK, "MBIM_NW_ERROR_MS_IDENTITY_NOT_DERIVED_BY_NETWORK", "ms-identity-not-derived-by-network" },
    { MBIM_NW_ERROR_IMPLICITLY_DETACHED, "MBIM_NW_ERROR_IMPLICITLY_DETACHED", "implicitly-detached" },
    { MBIM_NW_ERROR_PLMN_NOT_ALLOWED, "MBIM_NW_ERROR_PLMN_NOT_ALLOWED", "plmn-not-allowed" },
    { MBIM_NW_ERROR_LOCATION_AREA_NOT_ALLOWED, "MBIM_NW_ERROR_LOCATION_AREA_NOT_ALLOWED", "location-area-not-allowed" },
    { MBIM_NW_ERROR_ROAMING_NOT_ALLOWED_IN_LOCATION_AREA, "MBIM_NW_ERROR_ROAMING_NOT_ALLOWED_IN_LOCATION_AREA", "roaming-not-allowed-in-location-area" },
    { MBIM_NW_ERROR_GPRS_NOT_ALLOWED_IN_PLMN, "MBIM_NW_ERROR_GPRS_NOT_ALLOWED_IN_PLMN", "gprs-not-allowed-in-plmn" },
    { MBIM_NW_ERROR_NO_CELLS_IN_LOCATION_AREA, "MBIM_NW_ERROR_NO_CELLS_IN_LOCATION_AREA", "no-cells-in-location-area" },
    { MBIM_NW_ERROR_MSC_TEMPORARILY_NOT_REACHABLE, "MBIM_NW_ERROR_MSC_TEMPORARILY_NOT_REACHABLE", "msc-temporarily-not-reachable" },
    { MBIM_NW_ERROR_NETWORK_FAILURE, "MBIM_NW_ERROR_NETWORK_FAILURE", "network-failure" },
    { MBIM_NW_ERROR_MAC_FAILURE, "MBIM_NW_ERROR_MAC_FAILURE", "mac-failure" },
    { MBIM_NW_ERROR_SYNCH_FAILURE, "MBIM_NW_ERROR_SYNCH_FAILURE", "synch-failure" },
    { MBIM_NW_ERROR_CONGESTION, "MBIM_NW_ERROR_CONGESTION", "congestion" },
    { MBIM_NW_ERROR_GSM_AUTHENTICATION_UNACCEPTABLE, "MBIM_NW_ERROR_GSM_AUTHENTICATION_UNACCEPTABLE", "gsm-authentication-unacceptable" },
    { MBIM_NW_ERROR_NOT_AUTHORIZED_FOR_CSG, "MBIM_NW_ERROR_NOT_AUTHORIZED_FOR_CSG", "not-authorized-for-csg" },
    { MBIM_NW_ERROR_MISSING_OR_UNKNOWN_APN, "MBIM_NW_ERROR_MISSING_OR_UNKNOWN_APN", "missing-or-unknown-apn" },
    { MBIM_NW_ERROR_SERVICE_OPTION_NOT_SUPPORTED, "MBIM_NW_ERROR_SERVICE_OPTION_NOT_SUPPORTED", "service-option-not-supported" },
    { MBIM_NW_ERROR_REQUESTED_SERVICE_OPTION_NOT_SUBSCRIBED, "MBIM_NW_ERROR_REQUESTED_SERVICE_OPTION_NOT_SUBSCRIBED", "requested-service-option-not-subscribed" },
    { MBIM_NW_ERROR_SERVICE_OPTION_TEMPORARILY_OUT_OF_ORDER, "MBIM_NW_ERROR_SERVICE_OPTION_TEMPORARILY_OUT_OF_ORDER", "service-option-temporarily-out-of-order" },
    { MBIM_NW_ERROR_NO_PDP_CONTEXT_ACTIVATED, "MBIM_NW_ERROR_NO_PDP_CONTEXT_ACTIVATED", "no-pdp-context-activated" },
    { MBIM_NW_ERROR_SEMANTICALLY_INCORRECT_MESSAGE, "MBIM_NW_ERROR_SEMANTICALLY_INCORRECT_MESSAGE", "semantically-incorrect-message" },
    { MBIM_NW_ERROR_INVALID_MANDATORY_INFORMATION, "MBIM_NW_ERROR_INVALID_MANDATORY_INFORMATION", "invalid-mandatory-information" },
    { MBIM_NW_ERROR_MESSAGE_TYPE_NON_EXISTENT_OR_NOT_IMPLEMENTED, "MBIM_NW_ERROR_MESSAGE_TYPE_NON_EXISTENT_OR_NOT_IMPLEMENTED", "message-type-non-existent-or-not-implemented" },
    { MBIM_NW_ERROR_MESSAGE_TYPE_NOT_COMPATIBLE_WITH_PROTOCOL_STATE, "MBIM_NW_ERROR_MESSAGE_TYPE_NOT_COMPATIBLE_WITH_PROTOCOL_STATE", "message-type-not-compatible-with-protocol-state" },
    { MBIM_NW_ERROR_INFORMATION_ELEMENT_NON_EXISTENT_OR_NOT_IMPLEMENTED, "MBIM_NW_ERROR_INFORMATION_ELEMENT_NON_EXISTENT_OR_NOT_IMPLEMENTED", "information-element-non-existent-or-not-implemented" },
    { MBIM_NW_ERROR_CONDITIONAL_IE_ERROR, "MBIM_NW_ERROR_CONDITIONAL_IE_ERROR", "conditional-ie-error" },
    { MBIM_NW_ERROR_MESSAGE_NOT_COMPATIBLE_WITH_PROTOCOL_STATE, "MBIM_NW_ERROR_MESSAGE_NOT_COMPATIBLE_WITH_PROTOCOL_STATE", "message-not-compatible-with-protocol-state" },
    { MBIM_NW_ERROR_PROTOCOL_ERROR_UNSPECIFIED, "MBIM_NW_ERROR_PROTOCOL_ERROR_UNSPECIFIED", "protocol-error-unspecified" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_nw_error_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimNwError"),
                                      mbim_nw_error_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_NW_ERROR_IS_ENUM__
/**
 * mbim_nw_error_get_string:
 * @val: a MbimNwError.
 *
 * Gets the nickname string for the #MbimNwError specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_nw_error_get_string (MbimNwError val)
{
    guint i;

    for (i = 0; mbim_nw_error_values[i].value_nick; i++) {
        if (val == mbim_nw_error_values[i].value)
            return mbim_nw_error_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_NW_ERROR_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_NW_ERROR_IS_FLAGS__
/**
 * mbim_nw_error_build_string_from_mask:
 * @mask: bitmask of MbimNwError values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimNwError in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_nw_error_build_string_from_mask (MbimNwError mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_nw_error_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_nw_error_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_nw_error_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_nw_error_values[i].value) {
            guint c;
            gulong number = mbim_nw_error_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_nw_error_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_NW_ERROR_IS_FLAGS__ */

static const GEnumValue mbim_register_action_values[] = {
    { MBIM_REGISTER_ACTION_AUTOMATIC, "MBIM_REGISTER_ACTION_AUTOMATIC", "automatic" },
    { MBIM_REGISTER_ACTION_MANUAL, "MBIM_REGISTER_ACTION_MANUAL", "manual" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_register_action_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimRegisterAction"),
                                      mbim_register_action_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_REGISTER_ACTION_IS_ENUM__
/**
 * mbim_register_action_get_string:
 * @val: a MbimRegisterAction.
 *
 * Gets the nickname string for the #MbimRegisterAction specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_register_action_get_string (MbimRegisterAction val)
{
    guint i;

    for (i = 0; mbim_register_action_values[i].value_nick; i++) {
        if (val == mbim_register_action_values[i].value)
            return mbim_register_action_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_REGISTER_ACTION_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_REGISTER_ACTION_IS_FLAGS__
/**
 * mbim_register_action_build_string_from_mask:
 * @mask: bitmask of MbimRegisterAction values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimRegisterAction in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_register_action_build_string_from_mask (MbimRegisterAction mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_register_action_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_register_action_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_register_action_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_register_action_values[i].value) {
            guint c;
            gulong number = mbim_register_action_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_register_action_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_REGISTER_ACTION_IS_FLAGS__ */

static const GEnumValue mbim_register_state_values[] = {
    { MBIM_REGISTER_STATE_UNKNOWN, "MBIM_REGISTER_STATE_UNKNOWN", "unknown" },
    { MBIM_REGISTER_STATE_DEREGISTERED, "MBIM_REGISTER_STATE_DEREGISTERED", "deregistered" },
    { MBIM_REGISTER_STATE_SEARCHING, "MBIM_REGISTER_STATE_SEARCHING", "searching" },
    { MBIM_REGISTER_STATE_HOME, "MBIM_REGISTER_STATE_HOME", "home" },
    { MBIM_REGISTER_STATE_ROAMING, "MBIM_REGISTER_STATE_ROAMING", "roaming" },
    { MBIM_REGISTER_STATE_PARTNER, "MBIM_REGISTER_STATE_PARTNER", "partner" },
    { MBIM_REGISTER_STATE_DENIED, "MBIM_REGISTER_STATE_DENIED", "denied" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_register_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimRegisterState"),
                                      mbim_register_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_REGISTER_STATE_IS_ENUM__
/**
 * mbim_register_state_get_string:
 * @val: a MbimRegisterState.
 *
 * Gets the nickname string for the #MbimRegisterState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_register_state_get_string (MbimRegisterState val)
{
    guint i;

    for (i = 0; mbim_register_state_values[i].value_nick; i++) {
        if (val == mbim_register_state_values[i].value)
            return mbim_register_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_REGISTER_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_REGISTER_STATE_IS_FLAGS__
/**
 * mbim_register_state_build_string_from_mask:
 * @mask: bitmask of MbimRegisterState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimRegisterState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_register_state_build_string_from_mask (MbimRegisterState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_register_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_register_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_register_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_register_state_values[i].value) {
            guint c;
            gulong number = mbim_register_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_register_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_REGISTER_STATE_IS_FLAGS__ */

static const GEnumValue mbim_register_mode_values[] = {
    { MBIM_REGISTER_MODE_UNKNOWN, "MBIM_REGISTER_MODE_UNKNOWN", "unknown" },
    { MBIM_REGISTER_MODE_AUTOMATIC, "MBIM_REGISTER_MODE_AUTOMATIC", "automatic" },
    { MBIM_REGISTER_MODE_MANUAL, "MBIM_REGISTER_MODE_MANUAL", "manual" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_register_mode_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimRegisterMode"),
                                      mbim_register_mode_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_REGISTER_MODE_IS_ENUM__
/**
 * mbim_register_mode_get_string:
 * @val: a MbimRegisterMode.
 *
 * Gets the nickname string for the #MbimRegisterMode specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_register_mode_get_string (MbimRegisterMode val)
{
    guint i;

    for (i = 0; mbim_register_mode_values[i].value_nick; i++) {
        if (val == mbim_register_mode_values[i].value)
            return mbim_register_mode_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_REGISTER_MODE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_REGISTER_MODE_IS_FLAGS__
/**
 * mbim_register_mode_build_string_from_mask:
 * @mask: bitmask of MbimRegisterMode values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimRegisterMode in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_register_mode_build_string_from_mask (MbimRegisterMode mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_register_mode_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_register_mode_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_register_mode_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_register_mode_values[i].value) {
            guint c;
            gulong number = mbim_register_mode_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_register_mode_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_REGISTER_MODE_IS_FLAGS__ */

static const GFlagsValue mbim_registration_flag_values[] = {
    { MBIM_REGISTRATION_FLAG_NONE, "MBIM_REGISTRATION_FLAG_NONE", "none" },
    { MBIM_REGISTRATION_FLAG_MANUAL_SELECTION_NOT_AVAILABLE, "MBIM_REGISTRATION_FLAG_MANUAL_SELECTION_NOT_AVAILABLE", "manual-selection-not-available" },
    { MBIM_REGISTRATION_FLAG_PACKET_SERVICE_AUTOMATIC_ATTACH, "MBIM_REGISTRATION_FLAG_PACKET_SERVICE_AUTOMATIC_ATTACH", "packet-service-automatic-attach" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_registration_flag_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimRegistrationFlag"),
                                      mbim_registration_flag_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_REGISTRATION_FLAG_IS_ENUM__
/**
 * mbim_registration_flag_get_string:
 * @val: a MbimRegistrationFlag.
 *
 * Gets the nickname string for the #MbimRegistrationFlag specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_registration_flag_get_string (MbimRegistrationFlag val)
{
    guint i;

    for (i = 0; mbim_registration_flag_values[i].value_nick; i++) {
        if (val == mbim_registration_flag_values[i].value)
            return mbim_registration_flag_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_REGISTRATION_FLAG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_REGISTRATION_FLAG_IS_FLAGS__
/**
 * mbim_registration_flag_build_string_from_mask:
 * @mask: bitmask of MbimRegistrationFlag values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimRegistrationFlag in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_registration_flag_build_string_from_mask (MbimRegistrationFlag mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_registration_flag_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_registration_flag_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_registration_flag_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_registration_flag_values[i].value) {
            guint c;
            gulong number = mbim_registration_flag_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_registration_flag_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_REGISTRATION_FLAG_IS_FLAGS__ */

static const GEnumValue mbim_packet_service_action_values[] = {
    { MBIM_PACKET_SERVICE_ACTION_ATTACH, "MBIM_PACKET_SERVICE_ACTION_ATTACH", "attach" },
    { MBIM_PACKET_SERVICE_ACTION_DETACH, "MBIM_PACKET_SERVICE_ACTION_DETACH", "detach" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_packet_service_action_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPacketServiceAction"),
                                      mbim_packet_service_action_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PACKET_SERVICE_ACTION_IS_ENUM__
/**
 * mbim_packet_service_action_get_string:
 * @val: a MbimPacketServiceAction.
 *
 * Gets the nickname string for the #MbimPacketServiceAction specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_packet_service_action_get_string (MbimPacketServiceAction val)
{
    guint i;

    for (i = 0; mbim_packet_service_action_values[i].value_nick; i++) {
        if (val == mbim_packet_service_action_values[i].value)
            return mbim_packet_service_action_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PACKET_SERVICE_ACTION_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PACKET_SERVICE_ACTION_IS_FLAGS__
/**
 * mbim_packet_service_action_build_string_from_mask:
 * @mask: bitmask of MbimPacketServiceAction values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPacketServiceAction in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_packet_service_action_build_string_from_mask (MbimPacketServiceAction mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_packet_service_action_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_packet_service_action_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_packet_service_action_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_packet_service_action_values[i].value) {
            guint c;
            gulong number = mbim_packet_service_action_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_packet_service_action_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PACKET_SERVICE_ACTION_IS_FLAGS__ */

static const GEnumValue mbim_packet_service_state_values[] = {
    { MBIM_PACKET_SERVICE_STATE_UNKNOWN, "MBIM_PACKET_SERVICE_STATE_UNKNOWN", "unknown" },
    { MBIM_PACKET_SERVICE_STATE_ATTACHING, "MBIM_PACKET_SERVICE_STATE_ATTACHING", "attaching" },
    { MBIM_PACKET_SERVICE_STATE_ATTACHED, "MBIM_PACKET_SERVICE_STATE_ATTACHED", "attached" },
    { MBIM_PACKET_SERVICE_STATE_DETACHING, "MBIM_PACKET_SERVICE_STATE_DETACHING", "detaching" },
    { MBIM_PACKET_SERVICE_STATE_DETACHED, "MBIM_PACKET_SERVICE_STATE_DETACHED", "detached" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_packet_service_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPacketServiceState"),
                                      mbim_packet_service_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PACKET_SERVICE_STATE_IS_ENUM__
/**
 * mbim_packet_service_state_get_string:
 * @val: a MbimPacketServiceState.
 *
 * Gets the nickname string for the #MbimPacketServiceState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_packet_service_state_get_string (MbimPacketServiceState val)
{
    guint i;

    for (i = 0; mbim_packet_service_state_values[i].value_nick; i++) {
        if (val == mbim_packet_service_state_values[i].value)
            return mbim_packet_service_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PACKET_SERVICE_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PACKET_SERVICE_STATE_IS_FLAGS__
/**
 * mbim_packet_service_state_build_string_from_mask:
 * @mask: bitmask of MbimPacketServiceState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPacketServiceState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_packet_service_state_build_string_from_mask (MbimPacketServiceState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_packet_service_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_packet_service_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_packet_service_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_packet_service_state_values[i].value) {
            guint c;
            gulong number = mbim_packet_service_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_packet_service_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PACKET_SERVICE_STATE_IS_FLAGS__ */

static const GEnumValue mbim_activation_command_values[] = {
    { MBIM_ACTIVATION_COMMAND_DEACTIVATE, "MBIM_ACTIVATION_COMMAND_DEACTIVATE", "deactivate" },
    { MBIM_ACTIVATION_COMMAND_ACTIVATE, "MBIM_ACTIVATION_COMMAND_ACTIVATE", "activate" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_activation_command_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimActivationCommand"),
                                      mbim_activation_command_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_ACTIVATION_COMMAND_IS_ENUM__
/**
 * mbim_activation_command_get_string:
 * @val: a MbimActivationCommand.
 *
 * Gets the nickname string for the #MbimActivationCommand specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_activation_command_get_string (MbimActivationCommand val)
{
    guint i;

    for (i = 0; mbim_activation_command_values[i].value_nick; i++) {
        if (val == mbim_activation_command_values[i].value)
            return mbim_activation_command_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_ACTIVATION_COMMAND_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_ACTIVATION_COMMAND_IS_FLAGS__
/**
 * mbim_activation_command_build_string_from_mask:
 * @mask: bitmask of MbimActivationCommand values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimActivationCommand in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_activation_command_build_string_from_mask (MbimActivationCommand mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_activation_command_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_activation_command_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_activation_command_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_activation_command_values[i].value) {
            guint c;
            gulong number = mbim_activation_command_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_activation_command_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_ACTIVATION_COMMAND_IS_FLAGS__ */

static const GEnumValue mbim_compression_values[] = {
    { MBIM_COMPRESSION_NONE, "MBIM_COMPRESSION_NONE", "none" },
    { MBIM_COMPRESSION_ENABLE, "MBIM_COMPRESSION_ENABLE", "enable" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_compression_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimCompression"),
                                      mbim_compression_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_COMPRESSION_IS_ENUM__
/**
 * mbim_compression_get_string:
 * @val: a MbimCompression.
 *
 * Gets the nickname string for the #MbimCompression specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_compression_get_string (MbimCompression val)
{
    guint i;

    for (i = 0; mbim_compression_values[i].value_nick; i++) {
        if (val == mbim_compression_values[i].value)
            return mbim_compression_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_COMPRESSION_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_COMPRESSION_IS_FLAGS__
/**
 * mbim_compression_build_string_from_mask:
 * @mask: bitmask of MbimCompression values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimCompression in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_compression_build_string_from_mask (MbimCompression mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_compression_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_compression_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_compression_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_compression_values[i].value) {
            guint c;
            gulong number = mbim_compression_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_compression_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_COMPRESSION_IS_FLAGS__ */

static const GEnumValue mbim_auth_protocol_values[] = {
    { MBIM_AUTH_PROTOCOL_NONE, "MBIM_AUTH_PROTOCOL_NONE", "none" },
    { MBIM_AUTH_PROTOCOL_PAP, "MBIM_AUTH_PROTOCOL_PAP", "pap" },
    { MBIM_AUTH_PROTOCOL_CHAP, "MBIM_AUTH_PROTOCOL_CHAP", "chap" },
    { MBIM_AUTH_PROTOCOL_MSCHAPV2, "MBIM_AUTH_PROTOCOL_MSCHAPV2", "mschapv2" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_auth_protocol_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimAuthProtocol"),
                                      mbim_auth_protocol_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_AUTH_PROTOCOL_IS_ENUM__
/**
 * mbim_auth_protocol_get_string:
 * @val: a MbimAuthProtocol.
 *
 * Gets the nickname string for the #MbimAuthProtocol specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_auth_protocol_get_string (MbimAuthProtocol val)
{
    guint i;

    for (i = 0; mbim_auth_protocol_values[i].value_nick; i++) {
        if (val == mbim_auth_protocol_values[i].value)
            return mbim_auth_protocol_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_AUTH_PROTOCOL_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_AUTH_PROTOCOL_IS_FLAGS__
/**
 * mbim_auth_protocol_build_string_from_mask:
 * @mask: bitmask of MbimAuthProtocol values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimAuthProtocol in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_auth_protocol_build_string_from_mask (MbimAuthProtocol mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_auth_protocol_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_auth_protocol_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_auth_protocol_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_auth_protocol_values[i].value) {
            guint c;
            gulong number = mbim_auth_protocol_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_auth_protocol_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_AUTH_PROTOCOL_IS_FLAGS__ */

static const GEnumValue mbim_context_ip_type_values[] = {
    { MBIM_CONTEXT_IP_TYPE_DEFAULT, "MBIM_CONTEXT_IP_TYPE_DEFAULT", "default" },
    { MBIM_CONTEXT_IP_TYPE_IPV4, "MBIM_CONTEXT_IP_TYPE_IPV4", "ipv4" },
    { MBIM_CONTEXT_IP_TYPE_IPV6, "MBIM_CONTEXT_IP_TYPE_IPV6", "ipv6" },
    { MBIM_CONTEXT_IP_TYPE_IPV4V6, "MBIM_CONTEXT_IP_TYPE_IPV4V6", "ipv4v6" },
    { MBIM_CONTEXT_IP_TYPE_IPV4_AND_IPV6, "MBIM_CONTEXT_IP_TYPE_IPV4_AND_IPV6", "ipv4-and-ipv6" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_context_ip_type_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimContextIpType"),
                                      mbim_context_ip_type_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_CONTEXT_IP_TYPE_IS_ENUM__
/**
 * mbim_context_ip_type_get_string:
 * @val: a MbimContextIpType.
 *
 * Gets the nickname string for the #MbimContextIpType specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_context_ip_type_get_string (MbimContextIpType val)
{
    guint i;

    for (i = 0; mbim_context_ip_type_values[i].value_nick; i++) {
        if (val == mbim_context_ip_type_values[i].value)
            return mbim_context_ip_type_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_CONTEXT_IP_TYPE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_CONTEXT_IP_TYPE_IS_FLAGS__
/**
 * mbim_context_ip_type_build_string_from_mask:
 * @mask: bitmask of MbimContextIpType values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimContextIpType in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_context_ip_type_build_string_from_mask (MbimContextIpType mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_context_ip_type_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_context_ip_type_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_context_ip_type_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_context_ip_type_values[i].value) {
            guint c;
            gulong number = mbim_context_ip_type_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_context_ip_type_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_CONTEXT_IP_TYPE_IS_FLAGS__ */

static const GEnumValue mbim_activation_state_values[] = {
    { MBIM_ACTIVATION_STATE_UNKNOWN, "MBIM_ACTIVATION_STATE_UNKNOWN", "unknown" },
    { MBIM_ACTIVATION_STATE_ACTIVATED, "MBIM_ACTIVATION_STATE_ACTIVATED", "activated" },
    { MBIM_ACTIVATION_STATE_ACTIVATING, "MBIM_ACTIVATION_STATE_ACTIVATING", "activating" },
    { MBIM_ACTIVATION_STATE_DEACTIVATED, "MBIM_ACTIVATION_STATE_DEACTIVATED", "deactivated" },
    { MBIM_ACTIVATION_STATE_DEACTIVATING, "MBIM_ACTIVATION_STATE_DEACTIVATING", "deactivating" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_activation_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimActivationState"),
                                      mbim_activation_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_ACTIVATION_STATE_IS_ENUM__
/**
 * mbim_activation_state_get_string:
 * @val: a MbimActivationState.
 *
 * Gets the nickname string for the #MbimActivationState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_activation_state_get_string (MbimActivationState val)
{
    guint i;

    for (i = 0; mbim_activation_state_values[i].value_nick; i++) {
        if (val == mbim_activation_state_values[i].value)
            return mbim_activation_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_ACTIVATION_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_ACTIVATION_STATE_IS_FLAGS__
/**
 * mbim_activation_state_build_string_from_mask:
 * @mask: bitmask of MbimActivationState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimActivationState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_activation_state_build_string_from_mask (MbimActivationState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_activation_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_activation_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_activation_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_activation_state_values[i].value) {
            guint c;
            gulong number = mbim_activation_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_activation_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_ACTIVATION_STATE_IS_FLAGS__ */

static const GEnumValue mbim_voice_call_state_values[] = {
    { MBIM_VOICE_CALL_STATE_NONE, "MBIM_VOICE_CALL_STATE_NONE", "none" },
    { MBIM_VOICE_CALL_STATE_IN_PROGRESS, "MBIM_VOICE_CALL_STATE_IN_PROGRESS", "in-progress" },
    { MBIM_VOICE_CALL_STATE_HANG_UP, "MBIM_VOICE_CALL_STATE_HANG_UP", "hang-up" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_voice_call_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimVoiceCallState"),
                                      mbim_voice_call_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_VOICE_CALL_STATE_IS_ENUM__
/**
 * mbim_voice_call_state_get_string:
 * @val: a MbimVoiceCallState.
 *
 * Gets the nickname string for the #MbimVoiceCallState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_voice_call_state_get_string (MbimVoiceCallState val)
{
    guint i;

    for (i = 0; mbim_voice_call_state_values[i].value_nick; i++) {
        if (val == mbim_voice_call_state_values[i].value)
            return mbim_voice_call_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_VOICE_CALL_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_VOICE_CALL_STATE_IS_FLAGS__
/**
 * mbim_voice_call_state_build_string_from_mask:
 * @mask: bitmask of MbimVoiceCallState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimVoiceCallState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_voice_call_state_build_string_from_mask (MbimVoiceCallState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_voice_call_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_voice_call_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_voice_call_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_voice_call_state_values[i].value) {
            guint c;
            gulong number = mbim_voice_call_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_voice_call_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_VOICE_CALL_STATE_IS_FLAGS__ */

static const GFlagsValue mbim_ip_configuration_available_flag_values[] = {
    { MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_NONE, "MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_NONE", "none" },
    { MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_ADDRESS, "MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_ADDRESS", "address" },
    { MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_GATEWAY, "MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_GATEWAY", "gateway" },
    { MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_DNS, "MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_DNS", "dns" },
    { MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_MTU, "MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_MTU", "mtu" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_ip_configuration_available_flag_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_flags_register_static (g_intern_static_string ("MbimIPConfigurationAvailableFlag"),
                                      mbim_ip_configuration_available_flag_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_IS_ENUM__
/**
 * mbim_ip_configuration_available_flag_get_string:
 * @val: a MbimIPConfigurationAvailableFlag.
 *
 * Gets the nickname string for the #MbimIPConfigurationAvailableFlag specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_ip_configuration_available_flag_get_string (MbimIPConfigurationAvailableFlag val)
{
    guint i;

    for (i = 0; mbim_ip_configuration_available_flag_values[i].value_nick; i++) {
        if (val == mbim_ip_configuration_available_flag_values[i].value)
            return mbim_ip_configuration_available_flag_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_IS_FLAGS__
/**
 * mbim_ip_configuration_available_flag_build_string_from_mask:
 * @mask: bitmask of MbimIPConfigurationAvailableFlag values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimIPConfigurationAvailableFlag in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_ip_configuration_available_flag_build_string_from_mask (MbimIPConfigurationAvailableFlag mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_ip_configuration_available_flag_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_ip_configuration_available_flag_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_ip_configuration_available_flag_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_ip_configuration_available_flag_values[i].value) {
            guint c;
            gulong number = mbim_ip_configuration_available_flag_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_ip_configuration_available_flag_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_IP_CONFIGURATION_AVAILABLE_FLAG_IS_FLAGS__ */

static const GEnumValue mbim_sms_storage_state_values[] = {
    { MBIM_SMS_STORAGE_STATE_NOT_INITIALIZED, "MBIM_SMS_STORAGE_STATE_NOT_INITIALIZED", "not-initialized" },
    { MBIM_SMS_STORAGE_STATE_INITIALIZED, "MBIM_SMS_STORAGE_STATE_INITIALIZED", "initialized" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_storage_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSmsStorageState"),
                                      mbim_sms_storage_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_STORAGE_STATE_IS_ENUM__
/**
 * mbim_sms_storage_state_get_string:
 * @val: a MbimSmsStorageState.
 *
 * Gets the nickname string for the #MbimSmsStorageState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_storage_state_get_string (MbimSmsStorageState val)
{
    guint i;

    for (i = 0; mbim_sms_storage_state_values[i].value_nick; i++) {
        if (val == mbim_sms_storage_state_values[i].value)
            return mbim_sms_storage_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_STORAGE_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_STORAGE_STATE_IS_FLAGS__
/**
 * mbim_sms_storage_state_build_string_from_mask:
 * @mask: bitmask of MbimSmsStorageState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsStorageState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_storage_state_build_string_from_mask (MbimSmsStorageState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_storage_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_storage_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_storage_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_storage_state_values[i].value) {
            guint c;
            gulong number = mbim_sms_storage_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_storage_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_STORAGE_STATE_IS_FLAGS__ */

static const GEnumValue mbim_sms_format_values[] = {
    { MBIM_SMS_FORMAT_PDU, "MBIM_SMS_FORMAT_PDU", "pdu" },
    { MBIM_SMS_FORMAT_CDMA, "MBIM_SMS_FORMAT_CDMA", "cdma" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_format_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSmsFormat"),
                                      mbim_sms_format_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_FORMAT_IS_ENUM__
/**
 * mbim_sms_format_get_string:
 * @val: a MbimSmsFormat.
 *
 * Gets the nickname string for the #MbimSmsFormat specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_format_get_string (MbimSmsFormat val)
{
    guint i;

    for (i = 0; mbim_sms_format_values[i].value_nick; i++) {
        if (val == mbim_sms_format_values[i].value)
            return mbim_sms_format_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_FORMAT_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_FORMAT_IS_FLAGS__
/**
 * mbim_sms_format_build_string_from_mask:
 * @mask: bitmask of MbimSmsFormat values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsFormat in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_format_build_string_from_mask (MbimSmsFormat mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_format_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_format_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_format_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_format_values[i].value) {
            guint c;
            gulong number = mbim_sms_format_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_format_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_FORMAT_IS_FLAGS__ */

static const GEnumValue mbim_sms_flag_values[] = {
    { MBIM_SMS_FLAG_ALL, "MBIM_SMS_FLAG_ALL", "all" },
    { MBIM_SMS_FLAG_INDEX, "MBIM_SMS_FLAG_INDEX", "index" },
    { MBIM_SMS_FLAG_NEW, "MBIM_SMS_FLAG_NEW", "new" },
    { MBIM_SMS_FLAG_OLD, "MBIM_SMS_FLAG_OLD", "old" },
    { MBIM_SMS_FLAG_SENT, "MBIM_SMS_FLAG_SENT", "sent" },
    { MBIM_SMS_FLAG_DRAFT, "MBIM_SMS_FLAG_DRAFT", "draft" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_flag_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSmsFlag"),
                                      mbim_sms_flag_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_FLAG_IS_ENUM__
/**
 * mbim_sms_flag_get_string:
 * @val: a MbimSmsFlag.
 *
 * Gets the nickname string for the #MbimSmsFlag specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_flag_get_string (MbimSmsFlag val)
{
    guint i;

    for (i = 0; mbim_sms_flag_values[i].value_nick; i++) {
        if (val == mbim_sms_flag_values[i].value)
            return mbim_sms_flag_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_FLAG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_FLAG_IS_FLAGS__
/**
 * mbim_sms_flag_build_string_from_mask:
 * @mask: bitmask of MbimSmsFlag values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsFlag in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_flag_build_string_from_mask (MbimSmsFlag mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_flag_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_flag_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_flag_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_flag_values[i].value) {
            guint c;
            gulong number = mbim_sms_flag_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_flag_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_FLAG_IS_FLAGS__ */

static const GEnumValue mbim_sms_cdma_lang_values[] = {
    { MBIM_SMS_CDMA_LANG_UNKNOWN, "MBIM_SMS_CDMA_LANG_UNKNOWN", "unknown" },
    { MBIM_SMS_CDMA_LANG_ENGLISH, "MBIM_SMS_CDMA_LANG_ENGLISH", "english" },
    { MBIM_SMS_CDMA_LANG_FRENCH, "MBIM_SMS_CDMA_LANG_FRENCH", "french" },
    { MBIM_SMS_CDMA_LANG_SPANISH, "MBIM_SMS_CDMA_LANG_SPANISH", "spanish" },
    { MBIM_SMS_CDMA_LANG_JAPANESE, "MBIM_SMS_CDMA_LANG_JAPANESE", "japanese" },
    { MBIM_SMS_CDMA_LANG_KOREAN, "MBIM_SMS_CDMA_LANG_KOREAN", "korean" },
    { MBIM_SMS_CDMA_LANG_CHINESE, "MBIM_SMS_CDMA_LANG_CHINESE", "chinese" },
    { MBIM_SMS_CDMA_LANG_HEBREW, "MBIM_SMS_CDMA_LANG_HEBREW", "hebrew" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_cdma_lang_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSmsCdmaLang"),
                                      mbim_sms_cdma_lang_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_CDMA_LANG_IS_ENUM__
/**
 * mbim_sms_cdma_lang_get_string:
 * @val: a MbimSmsCdmaLang.
 *
 * Gets the nickname string for the #MbimSmsCdmaLang specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_cdma_lang_get_string (MbimSmsCdmaLang val)
{
    guint i;

    for (i = 0; mbim_sms_cdma_lang_values[i].value_nick; i++) {
        if (val == mbim_sms_cdma_lang_values[i].value)
            return mbim_sms_cdma_lang_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_CDMA_LANG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_CDMA_LANG_IS_FLAGS__
/**
 * mbim_sms_cdma_lang_build_string_from_mask:
 * @mask: bitmask of MbimSmsCdmaLang values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsCdmaLang in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_cdma_lang_build_string_from_mask (MbimSmsCdmaLang mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_cdma_lang_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_cdma_lang_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_cdma_lang_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_cdma_lang_values[i].value) {
            guint c;
            gulong number = mbim_sms_cdma_lang_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_cdma_lang_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_CDMA_LANG_IS_FLAGS__ */

static const GEnumValue mbim_sms_cdma_encoding_values[] = {
    { MBIM_SMS_CDMA_ENCODING_OCTET, "MBIM_SMS_CDMA_ENCODING_OCTET", "octet" },
    { MBIM_SMS_CDMA_ENCODING_EPM, "MBIM_SMS_CDMA_ENCODING_EPM", "epm" },
    { MBIM_SMS_CDMA_ENCODING_7BIT_ASCII, "MBIM_SMS_CDMA_ENCODING_7BIT_ASCII", "7bit-ascii" },
    { MBIM_SMS_CDMA_ENCODING_LA5, "MBIM_SMS_CDMA_ENCODING_LA5", "la5" },
    { MBIM_SMS_CDMA_ENCODING_UNICODE, "MBIM_SMS_CDMA_ENCODING_UNICODE", "unicode" },
    { MBIM_SMS_CDMA_ENCODING_SHIFT_JIS, "MBIM_SMS_CDMA_ENCODING_SHIFT_JIS", "shift-jis" },
    { MBIM_SMS_CDMA_ENCODING_KOREAN, "MBIM_SMS_CDMA_ENCODING_KOREAN", "korean" },
    { MBIM_SMS_CDMA_ENCODING_LATIN_HEBREW, "MBIM_SMS_CDMA_ENCODING_LATIN_HEBREW", "latin-hebrew" },
    { MBIM_SMS_CDMA_ENCODING_LATIN, "MBIM_SMS_CDMA_ENCODING_LATIN", "latin" },
    { MBIM_SMS_CDMA_ENCODING_GSM_7BIT, "MBIM_SMS_CDMA_ENCODING_GSM_7BIT", "gsm-7bit" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_cdma_encoding_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSmsCdmaEncoding"),
                                      mbim_sms_cdma_encoding_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_CDMA_ENCODING_IS_ENUM__
/**
 * mbim_sms_cdma_encoding_get_string:
 * @val: a MbimSmsCdmaEncoding.
 *
 * Gets the nickname string for the #MbimSmsCdmaEncoding specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_cdma_encoding_get_string (MbimSmsCdmaEncoding val)
{
    guint i;

    for (i = 0; mbim_sms_cdma_encoding_values[i].value_nick; i++) {
        if (val == mbim_sms_cdma_encoding_values[i].value)
            return mbim_sms_cdma_encoding_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_CDMA_ENCODING_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_CDMA_ENCODING_IS_FLAGS__
/**
 * mbim_sms_cdma_encoding_build_string_from_mask:
 * @mask: bitmask of MbimSmsCdmaEncoding values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsCdmaEncoding in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_cdma_encoding_build_string_from_mask (MbimSmsCdmaEncoding mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_cdma_encoding_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_cdma_encoding_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_cdma_encoding_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_cdma_encoding_values[i].value) {
            guint c;
            gulong number = mbim_sms_cdma_encoding_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_cdma_encoding_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_CDMA_ENCODING_IS_FLAGS__ */

static const GEnumValue mbim_sms_status_values[] = {
    { MBIM_SMS_STATUS_NEW, "MBIM_SMS_STATUS_NEW", "new" },
    { MBIM_SMS_STATUS_OLD, "MBIM_SMS_STATUS_OLD", "old" },
    { MBIM_SMS_STATUS_DRAFT, "MBIM_SMS_STATUS_DRAFT", "draft" },
    { MBIM_SMS_STATUS_SENT, "MBIM_SMS_STATUS_SENT", "sent" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_status_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSmsStatus"),
                                      mbim_sms_status_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_STATUS_IS_ENUM__
/**
 * mbim_sms_status_get_string:
 * @val: a MbimSmsStatus.
 *
 * Gets the nickname string for the #MbimSmsStatus specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_status_get_string (MbimSmsStatus val)
{
    guint i;

    for (i = 0; mbim_sms_status_values[i].value_nick; i++) {
        if (val == mbim_sms_status_values[i].value)
            return mbim_sms_status_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_STATUS_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_STATUS_IS_FLAGS__
/**
 * mbim_sms_status_build_string_from_mask:
 * @mask: bitmask of MbimSmsStatus values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsStatus in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_status_build_string_from_mask (MbimSmsStatus mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_status_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_status_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_status_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_status_values[i].value) {
            guint c;
            gulong number = mbim_sms_status_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_status_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_STATUS_IS_FLAGS__ */

static const GEnumValue mbim_sms_status_flag_values[] = {
    { MBIM_SMS_STATUS_FLAG_NONE, "MBIM_SMS_STATUS_FLAG_NONE", "none" },
    { MBIM_SMS_STATUS_FLAG_MESSAGE_STORE_FULL, "MBIM_SMS_STATUS_FLAG_MESSAGE_STORE_FULL", "message-store-full" },
    { MBIM_SMS_STATUS_FLAG_NEW_MESSAGE, "MBIM_SMS_STATUS_FLAG_NEW_MESSAGE", "new-message" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_sms_status_flag_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimSmsStatusFlag"),
                                      mbim_sms_status_flag_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_SMS_STATUS_FLAG_IS_ENUM__
/**
 * mbim_sms_status_flag_get_string:
 * @val: a MbimSmsStatusFlag.
 *
 * Gets the nickname string for the #MbimSmsStatusFlag specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_sms_status_flag_get_string (MbimSmsStatusFlag val)
{
    guint i;

    for (i = 0; mbim_sms_status_flag_values[i].value_nick; i++) {
        if (val == mbim_sms_status_flag_values[i].value)
            return mbim_sms_status_flag_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_SMS_STATUS_FLAG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_SMS_STATUS_FLAG_IS_FLAGS__
/**
 * mbim_sms_status_flag_build_string_from_mask:
 * @mask: bitmask of MbimSmsStatusFlag values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimSmsStatusFlag in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_sms_status_flag_build_string_from_mask (MbimSmsStatusFlag mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_sms_status_flag_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_sms_status_flag_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_sms_status_flag_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_sms_status_flag_values[i].value) {
            guint c;
            gulong number = mbim_sms_status_flag_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_sms_status_flag_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_SMS_STATUS_FLAG_IS_FLAGS__ */

static const GEnumValue mbim_ussd_action_values[] = {
    { MBIM_USSD_ACTION_INITIATE, "MBIM_USSD_ACTION_INITIATE", "initiate" },
    { MBIM_USSD_ACTION_CONTINUE, "MBIM_USSD_ACTION_CONTINUE", "continue" },
    { MBIM_USSD_ACTION_CANCEL, "MBIM_USSD_ACTION_CANCEL", "cancel" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_ussd_action_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimUssdAction"),
                                      mbim_ussd_action_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_USSD_ACTION_IS_ENUM__
/**
 * mbim_ussd_action_get_string:
 * @val: a MbimUssdAction.
 *
 * Gets the nickname string for the #MbimUssdAction specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_ussd_action_get_string (MbimUssdAction val)
{
    guint i;

    for (i = 0; mbim_ussd_action_values[i].value_nick; i++) {
        if (val == mbim_ussd_action_values[i].value)
            return mbim_ussd_action_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_USSD_ACTION_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_USSD_ACTION_IS_FLAGS__
/**
 * mbim_ussd_action_build_string_from_mask:
 * @mask: bitmask of MbimUssdAction values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimUssdAction in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_ussd_action_build_string_from_mask (MbimUssdAction mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_ussd_action_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_ussd_action_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_ussd_action_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_ussd_action_values[i].value) {
            guint c;
            gulong number = mbim_ussd_action_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_ussd_action_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_USSD_ACTION_IS_FLAGS__ */

static const GEnumValue mbim_ussd_response_values[] = {
    { MBIM_USSD_RESPONSE_NO_ACTION_REQUIRED, "MBIM_USSD_RESPONSE_NO_ACTION_REQUIRED", "no-action-required" },
    { MBIM_USSD_RESPONSE_ACTION_REQUIRED, "MBIM_USSD_RESPONSE_ACTION_REQUIRED", "action-required" },
    { MBIM_USSD_RESPONSE_TERMINATED_BY_NETWORK, "MBIM_USSD_RESPONSE_TERMINATED_BY_NETWORK", "terminated-by-network" },
    { MBIM_USSD_RESPONSE_OTHER_LOCAL_CLIENT, "MBIM_USSD_RESPONSE_OTHER_LOCAL_CLIENT", "other-local-client" },
    { MBIM_USSD_RESPONSE_OPERATION_NOT_SUPPORTED, "MBIM_USSD_RESPONSE_OPERATION_NOT_SUPPORTED", "operation-not-supported" },
    { MBIM_USSD_RESPONSE_NETWORK_TIMEOUT, "MBIM_USSD_RESPONSE_NETWORK_TIMEOUT", "network-timeout" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_ussd_response_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimUssdResponse"),
                                      mbim_ussd_response_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_USSD_RESPONSE_IS_ENUM__
/**
 * mbim_ussd_response_get_string:
 * @val: a MbimUssdResponse.
 *
 * Gets the nickname string for the #MbimUssdResponse specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_ussd_response_get_string (MbimUssdResponse val)
{
    guint i;

    for (i = 0; mbim_ussd_response_values[i].value_nick; i++) {
        if (val == mbim_ussd_response_values[i].value)
            return mbim_ussd_response_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_USSD_RESPONSE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_USSD_RESPONSE_IS_FLAGS__
/**
 * mbim_ussd_response_build_string_from_mask:
 * @mask: bitmask of MbimUssdResponse values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimUssdResponse in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_ussd_response_build_string_from_mask (MbimUssdResponse mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_ussd_response_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_ussd_response_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_ussd_response_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_ussd_response_values[i].value) {
            guint c;
            gulong number = mbim_ussd_response_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_ussd_response_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_USSD_RESPONSE_IS_FLAGS__ */

static const GEnumValue mbim_ussd_session_state_values[] = {
    { MBIM_USSD_SESSION_STATE_NEW_SESSION, "MBIM_USSD_SESSION_STATE_NEW_SESSION", "new-session" },
    { MBIM_USSD_SESSION_STATE_EXISTING_SESSION, "MBIM_USSD_SESSION_STATE_EXISTING_SESSION", "existing-session" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_ussd_session_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimUssdSessionState"),
                                      mbim_ussd_session_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_USSD_SESSION_STATE_IS_ENUM__
/**
 * mbim_ussd_session_state_get_string:
 * @val: a MbimUssdSessionState.
 *
 * Gets the nickname string for the #MbimUssdSessionState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_ussd_session_state_get_string (MbimUssdSessionState val)
{
    guint i;

    for (i = 0; mbim_ussd_session_state_values[i].value_nick; i++) {
        if (val == mbim_ussd_session_state_values[i].value)
            return mbim_ussd_session_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_USSD_SESSION_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_USSD_SESSION_STATE_IS_FLAGS__
/**
 * mbim_ussd_session_state_build_string_from_mask:
 * @mask: bitmask of MbimUssdSessionState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimUssdSessionState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_ussd_session_state_build_string_from_mask (MbimUssdSessionState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_ussd_session_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_ussd_session_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_ussd_session_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_ussd_session_state_values[i].value) {
            guint c;
            gulong number = mbim_ussd_session_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_ussd_session_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_USSD_SESSION_STATE_IS_FLAGS__ */

static const GEnumValue mbim_phonebook_state_values[] = {
    { MBIM_PHONEBOOK_STATE_NOT_INITIALIZED, "MBIM_PHONEBOOK_STATE_NOT_INITIALIZED", "not-initialized" },
    { MBIM_PHONEBOOK_STATE_INITIALIZED, "MBIM_PHONEBOOK_STATE_INITIALIZED", "initialized" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_phonebook_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPhonebookState"),
                                      mbim_phonebook_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PHONEBOOK_STATE_IS_ENUM__
/**
 * mbim_phonebook_state_get_string:
 * @val: a MbimPhonebookState.
 *
 * Gets the nickname string for the #MbimPhonebookState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_phonebook_state_get_string (MbimPhonebookState val)
{
    guint i;

    for (i = 0; mbim_phonebook_state_values[i].value_nick; i++) {
        if (val == mbim_phonebook_state_values[i].value)
            return mbim_phonebook_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PHONEBOOK_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PHONEBOOK_STATE_IS_FLAGS__
/**
 * mbim_phonebook_state_build_string_from_mask:
 * @mask: bitmask of MbimPhonebookState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPhonebookState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_phonebook_state_build_string_from_mask (MbimPhonebookState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_phonebook_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_phonebook_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_phonebook_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_phonebook_state_values[i].value) {
            guint c;
            gulong number = mbim_phonebook_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_phonebook_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PHONEBOOK_STATE_IS_FLAGS__ */

static const GEnumValue mbim_phonebook_flag_values[] = {
    { MBIM_PHONEBOOK_FLAG_ALL, "MBIM_PHONEBOOK_FLAG_ALL", "all" },
    { MBIM_PHONEBOOK_FLAG_INDEX, "MBIM_PHONEBOOK_FLAG_INDEX", "index" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_phonebook_flag_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPhonebookFlag"),
                                      mbim_phonebook_flag_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PHONEBOOK_FLAG_IS_ENUM__
/**
 * mbim_phonebook_flag_get_string:
 * @val: a MbimPhonebookFlag.
 *
 * Gets the nickname string for the #MbimPhonebookFlag specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_phonebook_flag_get_string (MbimPhonebookFlag val)
{
    guint i;

    for (i = 0; mbim_phonebook_flag_values[i].value_nick; i++) {
        if (val == mbim_phonebook_flag_values[i].value)
            return mbim_phonebook_flag_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PHONEBOOK_FLAG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PHONEBOOK_FLAG_IS_FLAGS__
/**
 * mbim_phonebook_flag_build_string_from_mask:
 * @mask: bitmask of MbimPhonebookFlag values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPhonebookFlag in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_phonebook_flag_build_string_from_mask (MbimPhonebookFlag mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_phonebook_flag_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_phonebook_flag_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_phonebook_flag_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_phonebook_flag_values[i].value) {
            guint c;
            gulong number = mbim_phonebook_flag_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_phonebook_flag_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PHONEBOOK_FLAG_IS_FLAGS__ */

static const GEnumValue mbim_phonebook_write_flag_values[] = {
    { MBIM_PHONEBOOK_WRITE_FLAG_SAVE_UNUSED, "MBIM_PHONEBOOK_WRITE_FLAG_SAVE_UNUSED", "unused" },
    { MBIM_PHONEBOOK_WRITE_FLAG_SAVE_INDEX, "MBIM_PHONEBOOK_WRITE_FLAG_SAVE_INDEX", "index" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_phonebook_write_flag_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimPhonebookWriteFlag"),
                                      mbim_phonebook_write_flag_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_PHONEBOOK_WRITE_FLAG_IS_ENUM__
/**
 * mbim_phonebook_write_flag_get_string:
 * @val: a MbimPhonebookWriteFlag.
 *
 * Gets the nickname string for the #MbimPhonebookWriteFlag specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_phonebook_write_flag_get_string (MbimPhonebookWriteFlag val)
{
    guint i;

    for (i = 0; mbim_phonebook_write_flag_values[i].value_nick; i++) {
        if (val == mbim_phonebook_write_flag_values[i].value)
            return mbim_phonebook_write_flag_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_PHONEBOOK_WRITE_FLAG_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_PHONEBOOK_WRITE_FLAG_IS_FLAGS__
/**
 * mbim_phonebook_write_flag_build_string_from_mask:
 * @mask: bitmask of MbimPhonebookWriteFlag values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimPhonebookWriteFlag in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_phonebook_write_flag_build_string_from_mask (MbimPhonebookWriteFlag mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_phonebook_write_flag_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_phonebook_write_flag_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_phonebook_write_flag_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_phonebook_write_flag_values[i].value) {
            guint c;
            gulong number = mbim_phonebook_write_flag_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_phonebook_write_flag_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_PHONEBOOK_WRITE_FLAG_IS_FLAGS__ */

static const GEnumValue mbim_stk_pac_profile_values[] = {
    { MBIM_STK_PAC_PROFILE_NOT_HANDLED_BY_FUNCTION_HANDLED_BY_HOST, "MBIM_STK_PAC_PROFILE_NOT_HANDLED_BY_FUNCTION_HANDLED_BY_HOST", "not-handled-by-function-handled-by-host" },
    { MBIM_STK_PAC_PROFILE_NOT_HANDLED_BY_FUNCTION_MAY_BE_HANDLED_BY_HOST, "MBIM_STK_PAC_PROFILE_NOT_HANDLED_BY_FUNCTION_MAY_BE_HANDLED_BY_HOST", "not-handled-by-function-may-be-handled-by-host" },
    { MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_ONLY_TRANSPARENT_TO_HOST, "MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_ONLY_TRANSPARENT_TO_HOST", "handled-by-function-only-transparent-to-host" },
    { MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_NOTIFICATION_TO_HOST_POSSIBLE, "MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_NOTIFICATION_TO_HOST_POSSIBLE", "handled-by-function-notification-to-host-possible" },
    { MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_NOTIFICATIONS_TO_HOST_ENABLED, "MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_NOTIFICATIONS_TO_HOST_ENABLED", "handled-by-function-notifications-to-host-enabled" },
    { MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_CAN_BE_OVERRIDEN_BY_HOST, "MBIM_STK_PAC_PROFILE_HANDLED_BY_FUNCTION_CAN_BE_OVERRIDEN_BY_HOST", "handled-by-function-can-be-overriden-by-host" },
    { MBIM_STK_PAC_PROFILE_HANDLED_BY_HOST_FUNCTION_NOT_ABLE_TO_HANDLE, "MBIM_STK_PAC_PROFILE_HANDLED_BY_HOST_FUNCTION_NOT_ABLE_TO_HANDLE", "handled-by-host-function-not-able-to-handle" },
    { MBIM_STK_PAC_PROFILE_HANDLED_BY_HOST_FUNCTION_ABLE_TO_HANDLE, "MBIM_STK_PAC_PROFILE_HANDLED_BY_HOST_FUNCTION_ABLE_TO_HANDLE", "handled-by-host-function-able-to-handle" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_stk_pac_profile_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimStkPacProfile"),
                                      mbim_stk_pac_profile_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_STK_PAC_PROFILE_IS_ENUM__
/**
 * mbim_stk_pac_profile_get_string:
 * @val: a MbimStkPacProfile.
 *
 * Gets the nickname string for the #MbimStkPacProfile specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_stk_pac_profile_get_string (MbimStkPacProfile val)
{
    guint i;

    for (i = 0; mbim_stk_pac_profile_values[i].value_nick; i++) {
        if (val == mbim_stk_pac_profile_values[i].value)
            return mbim_stk_pac_profile_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_STK_PAC_PROFILE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_STK_PAC_PROFILE_IS_FLAGS__
/**
 * mbim_stk_pac_profile_build_string_from_mask:
 * @mask: bitmask of MbimStkPacProfile values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimStkPacProfile in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_stk_pac_profile_build_string_from_mask (MbimStkPacProfile mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_stk_pac_profile_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_stk_pac_profile_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_stk_pac_profile_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_stk_pac_profile_values[i].value) {
            guint c;
            gulong number = mbim_stk_pac_profile_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_stk_pac_profile_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_STK_PAC_PROFILE_IS_FLAGS__ */

static const GEnumValue mbim_stk_pac_type_values[] = {
    { MBIM_STK_PAC_TYPE_PROACTIVE_COMMAND, "MBIM_STK_PAC_TYPE_PROACTIVE_COMMAND", "proactive-command" },
    { MBIM_STK_PAC_TYPE_NOTIFICATION, "MBIM_STK_PAC_TYPE_NOTIFICATION", "notification" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_stk_pac_type_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimStkPacType"),
                                      mbim_stk_pac_type_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_STK_PAC_TYPE_IS_ENUM__
/**
 * mbim_stk_pac_type_get_string:
 * @val: a MbimStkPacType.
 *
 * Gets the nickname string for the #MbimStkPacType specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_stk_pac_type_get_string (MbimStkPacType val)
{
    guint i;

    for (i = 0; mbim_stk_pac_type_values[i].value_nick; i++) {
        if (val == mbim_stk_pac_type_values[i].value)
            return mbim_stk_pac_type_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_STK_PAC_TYPE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_STK_PAC_TYPE_IS_FLAGS__
/**
 * mbim_stk_pac_type_build_string_from_mask:
 * @mask: bitmask of MbimStkPacType values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimStkPacType in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_stk_pac_type_build_string_from_mask (MbimStkPacType mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_stk_pac_type_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_stk_pac_type_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_stk_pac_type_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_stk_pac_type_values[i].value) {
            guint c;
            gulong number = mbim_stk_pac_type_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_stk_pac_type_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_STK_PAC_TYPE_IS_FLAGS__ */

static const GEnumValue mbim_network_idle_hint_state_values[] = {
    { MBIM_NETWORK_IDLE_HINT_STATE_DISABLED, "MBIM_NETWORK_IDLE_HINT_STATE_DISABLED", "disabled" },
    { MBIM_NETWORK_IDLE_HINT_STATE_ENABLED, "MBIM_NETWORK_IDLE_HINT_STATE_ENABLED", "enabled" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_network_idle_hint_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimNetworkIdleHintState"),
                                      mbim_network_idle_hint_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_NETWORK_IDLE_HINT_STATE_IS_ENUM__
/**
 * mbim_network_idle_hint_state_get_string:
 * @val: a MbimNetworkIdleHintState.
 *
 * Gets the nickname string for the #MbimNetworkIdleHintState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_network_idle_hint_state_get_string (MbimNetworkIdleHintState val)
{
    guint i;

    for (i = 0; mbim_network_idle_hint_state_values[i].value_nick; i++) {
        if (val == mbim_network_idle_hint_state_values[i].value)
            return mbim_network_idle_hint_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_NETWORK_IDLE_HINT_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_NETWORK_IDLE_HINT_STATE_IS_FLAGS__
/**
 * mbim_network_idle_hint_state_build_string_from_mask:
 * @mask: bitmask of MbimNetworkIdleHintState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimNetworkIdleHintState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_network_idle_hint_state_build_string_from_mask (MbimNetworkIdleHintState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_network_idle_hint_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_network_idle_hint_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_network_idle_hint_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_network_idle_hint_state_values[i].value) {
            guint c;
            gulong number = mbim_network_idle_hint_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_network_idle_hint_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_NETWORK_IDLE_HINT_STATE_IS_FLAGS__ */

static const GEnumValue mbim_emergency_mode_state_values[] = {
    { MBIM_EMERGENCY_MODE_STATE_OFF, "MBIM_EMERGENCY_MODE_STATE_OFF", "off" },
    { MBIM_EMERGENCY_MODE_STATE_ON, "MBIM_EMERGENCY_MODE_STATE_ON", "on" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_emergency_mode_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimEmergencyModeState"),
                                      mbim_emergency_mode_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_EMERGENCY_MODE_STATE_IS_ENUM__
/**
 * mbim_emergency_mode_state_get_string:
 * @val: a MbimEmergencyModeState.
 *
 * Gets the nickname string for the #MbimEmergencyModeState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_emergency_mode_state_get_string (MbimEmergencyModeState val)
{
    guint i;

    for (i = 0; mbim_emergency_mode_state_values[i].value_nick; i++) {
        if (val == mbim_emergency_mode_state_values[i].value)
            return mbim_emergency_mode_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_EMERGENCY_MODE_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_EMERGENCY_MODE_STATE_IS_FLAGS__
/**
 * mbim_emergency_mode_state_build_string_from_mask:
 * @mask: bitmask of MbimEmergencyModeState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimEmergencyModeState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_emergency_mode_state_build_string_from_mask (MbimEmergencyModeState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_emergency_mode_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_emergency_mode_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_emergency_mode_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_emergency_mode_state_values[i].value) {
            guint c;
            gulong number = mbim_emergency_mode_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_emergency_mode_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_EMERGENCY_MODE_STATE_IS_FLAGS__ */

static const GEnumValue mbim_dss_link_state_values[] = {
    { MBIM_DSS_LINK_STATE_DEACTIVATE, "MBIM_DSS_LINK_STATE_DEACTIVATE", "deactivate" },
    { MBIM_DSS_LINK_STATE_ACTIVATE, "MBIM_DSS_LINK_STATE_ACTIVATE", "activate" },
    { 0, NULL, NULL }
};

/* Define type-specific symbols */

GType
mbim_dss_link_state_get_type (void)
{
    static volatile gsize g_define_type_id__volatile = 0;

    if (g_once_init_enter (&g_define_type_id__volatile)) {
        GType g_define_type_id =
            g_enum_register_static (g_intern_static_string ("MbimDssLinkState"),
                                      mbim_dss_link_state_values);
        g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
    }

    return g_define_type_id__volatile;
}

/* Enum-specific method to get the value as a string.
 * We get the nick of the GEnumValue. Note that this will be
 * valid even if the GEnumClass is not referenced anywhere. */
#if defined __MBIM_DSS_LINK_STATE_IS_ENUM__
/**
 * mbim_dss_link_state_get_string:
 * @val: a MbimDssLinkState.
 *
 * Gets the nickname string for the #MbimDssLinkState specified at @val.
 *
 * Returns: (transfer none): a string with the nickname, or %NULL if not found. Do not free the returned value.
 */
const gchar *
mbim_dss_link_state_get_string (MbimDssLinkState val)
{
    guint i;

    for (i = 0; mbim_dss_link_state_values[i].value_nick; i++) {
        if (val == mbim_dss_link_state_values[i].value)
            return mbim_dss_link_state_values[i].value_nick;
    }

    return NULL;
}
#endif /* __MBIM_DSS_LINK_STATE_IS_ENUM__ */

/* Flags-specific method to build a string with the given mask.
 * We get a comma separated list of the nicks of the GFlagsValues.
 * Note that this will be valid even if the GFlagsClass is not referenced
 * anywhere. */
#if defined __MBIM_DSS_LINK_STATE_IS_FLAGS__
/**
 * mbim_dss_link_state_build_string_from_mask:
 * @mask: bitmask of MbimDssLinkState values.
 *
 * Builds a string containing a comma-separated list of nicknames for
 * each #MbimDssLinkState in @mask.
 *
 * Returns: (transfer full): a string with the list of nicknames, or %NULL if none given. The returned value should be freed with g_free().
 */
gchar *
mbim_dss_link_state_build_string_from_mask (MbimDssLinkState mask)
{
    guint i;
    gboolean first = TRUE;
    GString *str = NULL;

    for (i = 0; mbim_dss_link_state_values[i].value_nick; i++) {
        /* We also look for exact matches */
        if (mask == mbim_dss_link_state_values[i].value) {
            if (str)
                g_string_free (str, TRUE);
            return g_strdup (mbim_dss_link_state_values[i].value_nick);
        }

        /* Build list with single-bit masks */
        if (mask & mbim_dss_link_state_values[i].value) {
            guint c;
            gulong number = mbim_dss_link_state_values[i].value;

            for (c = 0; number; c++)
                number &= number - 1;

            if (c == 1) {
                if (!str)
                    str = g_string_new ("");
                g_string_append_printf (str, "%s%s",
                                        first ? "" : ", ",
                                        mbim_dss_link_state_values[i].value_nick);
                if (first)
                    first = FALSE;
            }
        }
    }

    return (str ? g_string_free (str, FALSE) : NULL);
}
#endif /* __MBIM_DSS_LINK_STATE_IS_FLAGS__ */


/* Generated data ends here */

